<?php
$number_post = Healsoul::setting( 'single_post_related_number' );
$results     = Healsoul_Query::get_related_posts( array(
	'post_id'      => get_the_ID(),
	'number_posts' => $number_post,
) );

if ( $results !== false && $results->have_posts() ) : ?>
	<div class="related-posts">
		<h3 class="related-title">
			<?php esc_html_e( 'Related posts', 'healsoul' ); ?>
		</h3>
		<div class="tm-swiper equal-height"
		     data-lg-items="2"
		     data-md-items="2"
		     data-sm-items="1"
		     data-lg-gutter="30"
		     data-pagination="1"
		     data-slides-per-group="inherit"
		>
			<div class="swiper-container">
				<div class="swiper-wrapper">
					<?php while ( $results->have_posts() ) : $results->the_post(); ?>
						<div class="swiper-slide">
							<div class="related-post-item">
								<div class="post-item-wrapper">

									<div class="related-post-feature-wrap">

										<div class="post-thumbnail">
											<?php if ( has_post_thumbnail() ) { ?>
												<?php
												$healsoul_thumbnail_w = 300;
												$healsoul_thumbnail_h = 200;

												$full_image_size = get_the_post_thumbnail_url( null, 'full' );
												?>
												<div class="post-feature post-thumbnail">
													<?php
													Healsoul_Helper::get_lazy_load_image( array(
														'url'    => $full_image_size,
														'width'  => $healsoul_thumbnail_w,
														'height' => $healsoul_thumbnail_h,
														'crop'   => true,
														'echo'   => true,
														'alt'    => get_the_title(),
													) );
													?>
												</div>
											<?php } ?>
										</div>
									</div>

									<div class="related-post-info">
										<div class="related-post-date">
											<?php echo get_the_date( 'M d, Y' ); ?>
										</div>

										<?php get_template_part( 'loop/blog/title' ); ?>
									</div>

								</div>
							</div>
						</div>
					<?php endwhile; ?>
				</div>
			</div>
		</div>
	</div>
<?php endif;
wp_reset_postdata();
