<?php
/**
 * Theme Customizer
 *
 * @package Healsoul
 * @since   1.0
 */

/**
 * Setup configuration
 */
Healsoul_Kirki::add_config( 'theme', array(
	'option_type' => 'theme_mod',
	'capability'  => 'edit_theme_options',
) );

/**
 * Add sections
 */
$priority = 1;

Healsoul_Kirki::add_section( 'layout', array(
	'title'    => esc_html__( 'Layout', 'healsoul' ),
	'priority' => $priority ++,
) );

Healsoul_Kirki::add_section( 'color_', array(
	'title'    => esc_html__( 'Colors', 'healsoul' ),
	'priority' => $priority ++,
) );

Healsoul_Kirki::add_section( 'background', array(
	'title'    => esc_html__( 'Background', 'healsoul' ),
	'priority' => $priority ++,
) );

Healsoul_Kirki::add_section( 'typography', array(
	'title'    => esc_html__( 'Typography', 'healsoul' ),
	'priority' => $priority ++,
) );

Healsoul_Kirki::add_panel( 'top_bar', array(
	'title'    => esc_html__( 'Top bar', 'healsoul' ),
	'priority' => $priority ++,
) );

Healsoul_Kirki::add_panel( 'header', array(
	'title'    => esc_html__( 'Header', 'healsoul' ),
	'priority' => $priority ++,
) );

Healsoul_Kirki::add_section( 'logo', array(
	'title'    => esc_html__( 'Logo', 'healsoul' ),
	'priority' => $priority ++,
) );

Healsoul_Kirki::add_panel( 'navigation', array(
	'title'    => esc_html__( 'Navigation', 'healsoul' ),
	'priority' => $priority ++,
) );

Healsoul_Kirki::add_section( 'sliders', array(
	'title'    => esc_html__( 'Sliders', 'healsoul' ),
	'priority' => $priority ++,
) );

Healsoul_Kirki::add_panel( 'title_bar', array(
	'title'    => esc_html__( 'Page Title Bar', 'healsoul' ),
	'priority' => $priority ++,
) );

Healsoul_Kirki::add_section( 'sidebars', array(
	'title'    => esc_html__( 'Sidebars', 'healsoul' ),
	'priority' => $priority ++,
) );

Healsoul_Kirki::add_panel( 'footer', array(
	'title'    => esc_html__( 'Footer', 'healsoul' ),
	'priority' => $priority ++,
) );

Healsoul_Kirki::add_panel( 'blog', array(
	'title'    => esc_html__( 'Blog', 'healsoul' ),
	'priority' => $priority ++,
) );

Healsoul_Kirki::add_panel( 'shop', array(
	'title'    => esc_html__( 'Shop', 'healsoul' ),
	'priority' => $priority ++,
) );

Healsoul_Kirki::add_panel( 'case_study', array(
	'title'    => esc_html__( 'Resource', 'healsoul' ),
	'priority' => $priority ++,
) );

Healsoul_Kirki::add_panel( 'service', array(
	'title'    => esc_html__( 'Service', 'healsoul' ),
	'priority' => $priority ++,
) );

Healsoul_Kirki::add_panel( 'caregiver', array(
	'title'    => esc_html__( 'Caregiver', 'healsoul' ),
	'priority' => $priority ++,
) );

Healsoul_Kirki::add_section( 'socials', array(
	'title'    => esc_html__( 'Social Networks', 'healsoul' ),
	'priority' => $priority ++,
) );

Healsoul_Kirki::add_section( 'social_sharing', array(
	'title'    => esc_html__( 'Social Sharing', 'healsoul' ),
	'priority' => $priority ++,
) );

Healsoul_Kirki::add_panel( 'search', array(
	'title'    => esc_html__( 'Search', 'healsoul' ),
	'priority' => $priority ++,
) );

Healsoul_Kirki::add_section( 'error404_page', array(
	'title'    => esc_html__( 'Error 404 Page', 'healsoul' ),
	'priority' => $priority ++,
) );

Healsoul_Kirki::add_panel( 'shortcode', array(
	'title'    => esc_html__( 'Shortcodes', 'healsoul' ),
	'priority' => $priority ++,
) );

Healsoul_Kirki::add_panel( 'advanced', array(
	'title'    => esc_html__( 'Advanced', 'healsoul' ),
	'priority' => $priority ++,
) );

Healsoul_Kirki::add_section( 'additional_js', array(
	'title'    => esc_html__( 'Additional JS', 'healsoul' ),
	'priority' => $priority ++,
) );

/**
 * Load panel & section files
 */
$files = array(
	HEALSOUL_CUSTOMIZER_DIR . '/section-color.php',

	HEALSOUL_CUSTOMIZER_DIR . '/top_bar/_panel.php',
	HEALSOUL_CUSTOMIZER_DIR . '/top_bar/general.php',
	HEALSOUL_CUSTOMIZER_DIR . '/top_bar/style-01.php',
	HEALSOUL_CUSTOMIZER_DIR . '/top_bar/style-02.php',
	HEALSOUL_CUSTOMIZER_DIR . '/top_bar/style-03.php',
	HEALSOUL_CUSTOMIZER_DIR . '/top_bar/style-04.php',
	HEALSOUL_CUSTOMIZER_DIR . '/top_bar/style-05.php',
	HEALSOUL_CUSTOMIZER_DIR . '/top_bar/style-06.php',
	HEALSOUL_CUSTOMIZER_DIR . '/top_bar/style-07.php',
	HEALSOUL_CUSTOMIZER_DIR . '/top_bar/style-08.php',
	HEALSOUL_CUSTOMIZER_DIR . '/top_bar/style-09.php',
	HEALSOUL_CUSTOMIZER_DIR . '/top_bar/style-10.php',
	HEALSOUL_CUSTOMIZER_DIR . '/top_bar/style-11.php',
	HEALSOUL_CUSTOMIZER_DIR . '/top_bar/style-12.php',

	HEALSOUL_CUSTOMIZER_DIR . '/header/_panel.php',
	HEALSOUL_CUSTOMIZER_DIR . '/header/general.php',
	HEALSOUL_CUSTOMIZER_DIR . '/header/sticky.php',
	HEALSOUL_CUSTOMIZER_DIR . '/header/style-01.php',
	HEALSOUL_CUSTOMIZER_DIR . '/header/style-02.php',
	HEALSOUL_CUSTOMIZER_DIR . '/header/style-03.php',
	HEALSOUL_CUSTOMIZER_DIR . '/header/style-04.php',
	HEALSOUL_CUSTOMIZER_DIR . '/header/style-05.php',
	HEALSOUL_CUSTOMIZER_DIR . '/header/style-06.php',
	HEALSOUL_CUSTOMIZER_DIR . '/header/style-07.php',
	HEALSOUL_CUSTOMIZER_DIR . '/header/style-08.php',
	HEALSOUL_CUSTOMIZER_DIR . '/header/style-09.php',
	HEALSOUL_CUSTOMIZER_DIR . '/header/style-10.php',
	HEALSOUL_CUSTOMIZER_DIR . '/header/style-11.php',
	HEALSOUL_CUSTOMIZER_DIR . '/header/style-12.php',
	HEALSOUL_CUSTOMIZER_DIR . '/header/style-13.php',
	HEALSOUL_CUSTOMIZER_DIR . '/header/style-14.php',
	HEALSOUL_CUSTOMIZER_DIR . '/header/style-15.php',
	HEALSOUL_CUSTOMIZER_DIR . '/header/style-16.php',
	HEALSOUL_CUSTOMIZER_DIR . '/header/style-17.php',
	HEALSOUL_CUSTOMIZER_DIR . '/header/style-18.php',
	HEALSOUL_CUSTOMIZER_DIR . '/header/style-19.php',
	HEALSOUL_CUSTOMIZER_DIR . '/header/style-20.php',
	HEALSOUL_CUSTOMIZER_DIR . '/header/style-21.php',
	HEALSOUL_CUSTOMIZER_DIR . '/header/style-22.php',
	HEALSOUL_CUSTOMIZER_DIR . '/header/style-23.php',

	HEALSOUL_CUSTOMIZER_DIR . '/navigation/_panel.php',
	HEALSOUL_CUSTOMIZER_DIR . '/navigation/desktop-menu.php',
	HEALSOUL_CUSTOMIZER_DIR . '/navigation/off-canvas-menu.php',
	HEALSOUL_CUSTOMIZER_DIR . '/navigation/mobile-menu.php',

	HEALSOUL_CUSTOMIZER_DIR . '/section-sliders.php',

	HEALSOUL_CUSTOMIZER_DIR . '/title_bar/_panel.php',
	HEALSOUL_CUSTOMIZER_DIR . '/title_bar/general.php',
	HEALSOUL_CUSTOMIZER_DIR . '/title_bar/style-01.php',
	HEALSOUL_CUSTOMIZER_DIR . '/title_bar/style-02.php',
	HEALSOUL_CUSTOMIZER_DIR . '/title_bar/style-03.php',
	HEALSOUL_CUSTOMIZER_DIR . '/title_bar/style-04.php',
	HEALSOUL_CUSTOMIZER_DIR . '/title_bar/style-05.php',
	HEALSOUL_CUSTOMIZER_DIR . '/title_bar/style-06.php',
	HEALSOUL_CUSTOMIZER_DIR . '/title_bar/style-07.php',

	HEALSOUL_CUSTOMIZER_DIR . '/footer/_panel.php',
	HEALSOUL_CUSTOMIZER_DIR . '/footer/general.php',
	HEALSOUL_CUSTOMIZER_DIR . '/footer/style-01.php',
	HEALSOUL_CUSTOMIZER_DIR . '/footer/style-02.php',
	HEALSOUL_CUSTOMIZER_DIR . '/footer/footer-simple.php',

	HEALSOUL_CUSTOMIZER_DIR . '/advanced/_panel.php',
	HEALSOUL_CUSTOMIZER_DIR . '/advanced/advanced.php',
	HEALSOUL_CUSTOMIZER_DIR . '/advanced/pre-loader.php',
	HEALSOUL_CUSTOMIZER_DIR . '/advanced/light-gallery.php',

	HEALSOUL_CUSTOMIZER_DIR . '/shortcode/_panel.php',
	HEALSOUL_CUSTOMIZER_DIR . '/shortcode/animation.php',

	HEALSOUL_CUSTOMIZER_DIR . '/section-background.php',
	HEALSOUL_CUSTOMIZER_DIR . '/section-error404.php',
	HEALSOUL_CUSTOMIZER_DIR . '/section-layout.php',
	HEALSOUL_CUSTOMIZER_DIR . '/section-logo.php',

	HEALSOUL_CUSTOMIZER_DIR . '/blog/_panel.php',
	HEALSOUL_CUSTOMIZER_DIR . '/blog/archive.php',
	HEALSOUL_CUSTOMIZER_DIR . '/blog/single.php',

	HEALSOUL_CUSTOMIZER_DIR . '/case-study/_panel.php',
	HEALSOUL_CUSTOMIZER_DIR . '/case-study/archive.php',
	HEALSOUL_CUSTOMIZER_DIR . '/case-study/single.php',

	HEALSOUL_CUSTOMIZER_DIR . '/service/_panel.php',
	HEALSOUL_CUSTOMIZER_DIR . '/service/archive.php',
	HEALSOUL_CUSTOMIZER_DIR . '/service/single.php',

	HEALSOUL_CUSTOMIZER_DIR . '/caregiver/_panel.php',
	HEALSOUL_CUSTOMIZER_DIR . '/caregiver/archive.php',

	HEALSOUL_CUSTOMIZER_DIR . '/shop/_panel.php',
	HEALSOUL_CUSTOMIZER_DIR . '/shop/archive.php',
	HEALSOUL_CUSTOMIZER_DIR . '/shop/single.php',
	HEALSOUL_CUSTOMIZER_DIR . '/shop/cart.php',

	HEALSOUL_CUSTOMIZER_DIR . '/search/_panel.php',
	HEALSOUL_CUSTOMIZER_DIR . '/search/search-page.php',
	HEALSOUL_CUSTOMIZER_DIR . '/search/search-popup.php',

	HEALSOUL_CUSTOMIZER_DIR . '/section-sharing.php',
	HEALSOUL_CUSTOMIZER_DIR . '/section-sidebars.php',
	HEALSOUL_CUSTOMIZER_DIR . '/section-socials.php',
	HEALSOUL_CUSTOMIZER_DIR . '/section-typography.php',
	HEALSOUL_CUSTOMIZER_DIR . '/section-additional-js.php',
);

Healsoul::require_files( $files );
