<?php
$section  = 'header_style_07';
$priority = 1;
$prefix   = 'header_style_07_';

Healsoul_Kirki::add_field( 'theme', array(
	'type'     => 'radio-buttonset',
	'settings' => $prefix . 'overlay',
	'label'    => esc_html__( 'Header Overlay', 'healsoul' ),
	'section'  => $section,
	'priority' => $priority ++,
	'default'  => '0',
	'choices'  => array(
		'0' => esc_html__( 'No', 'healsoul' ),
		'1' => esc_html__( 'Yes', 'healsoul' ),
	),
) );

Healsoul_Kirki::add_field( 'theme', array(
	'type'     => 'radio-buttonset',
	'settings' => $prefix . 'logo',
	'label'    => esc_html__( 'Logo', 'healsoul' ),
	'section'  => $section,
	'priority' => $priority ++,
	'default'  => 'dark',
	'choices'  => array(
		'light' => esc_html__( 'Light', 'healsoul' ),
		'dark'  => esc_html__( 'Dark', 'healsoul' ),
	),
) );

Healsoul_Kirki::add_field( 'theme', array(
	'type'     => 'radio-buttonset',
	'settings' => $prefix . 'search_enable',
	'label'    => esc_html__( 'Search', 'healsoul' ),
	'section'  => $section,
	'priority' => $priority ++,
	'default'  => '1',
	'choices'  => array(
		'0' => esc_html__( 'Hide', 'healsoul' ),
		'1' => esc_html__( 'Show', 'healsoul' ),
	),
) );

Healsoul_Kirki::add_field( 'theme', array(
	'type'     => 'radio-buttonset',
	'settings' => $prefix . 'cart_enable',
	'label'    => esc_html__( 'Mini Cart', 'healsoul' ),
	'section'  => $section,
	'priority' => $priority ++,
	'default'  => '1',
	'choices'  => array(
		'0' => esc_html__( 'Hide', 'healsoul' ),
		'1' => esc_html__( 'Show', 'healsoul' )
	),
) );

Healsoul_Kirki::add_field( 'theme', array(
	'type'     => 'radio-buttonset',
	'settings' => $prefix . 'social_networks_enable',
	'label'    => esc_html__( 'Social Networks', 'healsoul' ),
	'section'  => $section,
	'priority' => $priority ++,
	'default'  => '0',
	'choices'  => array(
		'0' => esc_html__( 'Hide', 'healsoul' ),
		'1' => esc_html__( 'Show', 'healsoul' ),
	),
) );

Healsoul_Kirki::add_field( 'theme', array(
	'type'     => 'radio-buttonset',
	'settings' => $prefix . 'language_switcher_enable',
	'label'    => esc_html__( 'Language Switcher', 'healsoul' ),
	'section'  => $section,
	'priority' => $priority ++,
	'default'  => '1',
	'choices'  => array(
		'0' => esc_html__( 'Hide', 'healsoul' ),
		'1' => esc_html__( 'Show', 'healsoul' ),
	),
) );

Healsoul_Kirki::add_field( 'theme', array(
	'type'     => 'radio-buttonset',
	'settings' => $prefix . 'info_enable',
	'label'    => esc_html__( 'Info', 'healsoul' ),
	'section'  => $section,
	'priority' => $priority ++,
	'default'  => '1',
	'choices'  => array(
		'0' => esc_html__( 'Hide', 'healsoul' ),
		'1' => esc_html__( 'Show', 'healsoul' ),
	),
) );

Healsoul_Kirki::add_field( 'theme', array(
	'type'      => 'repeater',
	'settings'  => $prefix . 'info',
	'label'     => esc_html__( 'Info List', 'healsoul' ),
	'section'   => $section,
	'priority'  => $priority ++,
	'choices'   => array(
		'labels' => array(
			'add-new-row' => esc_html__( 'Add new info', 'healsoul' ),
		),
	),
	'row_label' => array(
		'type'  => 'field',
		'field' => 'title',
	),
	'default'   => array(
		array(
			'title'      => '(+00)888.666.88',
			'sub_title'  => 'Give Us a Call',
			'icon_class' => 'fal fa-phone',
		),
		array(
			'title'      => 'home@healsoul.com',
			'sub_title'  => 'Send Us a Mess',
			'icon_class' => 'fal fa-envelope',
		),
		array(
			'title'      => 'Mon - Fri: 09:00 - 17:00',
			'sub_title'  => 'Support 24/7',
			'icon_class' => 'fal fa-clock',
		),
		array(
			'title'      => '183 Parkways, CA, USA',
			'sub_title'  => 'Office Address',
			'icon_class' => 'fal fa-map-marker-alt',
		),
	),
	'fields'    => array(
		'title'      => array(
			'type'    => 'text',
			'label'   => esc_html__( 'Title', 'healsoul' ),
			'default' => '',
		),
		'sub_title'  => array(
			'type'    => 'text',
			'label'   => esc_html__( 'Sub Title', 'healsoul' ),
			'default' => '',
		),
		'icon_class' => array(
			'type'    => 'text',
			'label'   => esc_html__( 'Icon Class', 'healsoul' ),
			'default' => '',
		),
	),
) );

Healsoul_Kirki::add_field( 'theme', array(
	'type'        => 'color-alpha',
	'settings'    => $prefix . 'info_list_title_color',
	'label'       => esc_html__( 'Info title Color', 'healsoul' ),
	'description' => esc_html__( 'Controls the info title color.', 'healsoul' ),
	'section'     => $section,
	'priority'    => $priority ++,
	'transport'   => 'auto',
	'default'     => Healsoul::SECONDARY_COLOR,
	'output'      => array(
		array(
			'element'  => '.header-07 .header-info .info-title',
			'property' => 'color',
		),
	),
) );

Healsoul_Kirki::add_field( 'theme', array(
	'type'        => 'color-alpha',
	'settings'    => $prefix . 'info_list_sub_title_color',
	'label'       => esc_html__( 'Info Sub title Color', 'healsoul' ),
	'description' => esc_html__( 'Controls the info sub title color.', 'healsoul' ),
	'section'     => $section,
	'priority'    => $priority ++,
	'transport'   => 'auto',
	'default'     => '#777',
	'output'      => array(
		array(
			'element'  => '.header-07 .header-info .info-sub-title',
			'property' => 'color',
		),
	),
) );

Healsoul_Kirki::add_field( 'theme', array(
	'type'      => 'slider',
	'settings'  => $prefix . 'border_width',
	'label'     => esc_html__( 'Border Bottom Width', 'healsoul' ),
	'section'   => $section,
	'priority'  => $priority ++,
	'default'   => 0,
	'transport' => 'auto',
	'choices'   => array(
		'min'  => 0,
		'max'  => 50,
		'step' => 1,
	),
	'output'    => array(
		array(
			'element'  => '.header-07 .page-header-inner',
			'property' => 'border-bottom-width',
			'units'    => 'px',
		),
	),
) );

Healsoul_Kirki::add_field( 'theme', array(
	'type'        => 'color-alpha',
	'settings'    => $prefix . 'border_color',
	'label'       => esc_html__( 'Border Bottom Color', 'healsoul' ),
	'description' => esc_html__( 'Controls the border bottom color.', 'healsoul' ),
	'section'     => $section,
	'priority'    => $priority ++,
	'transport'   => 'auto',
	'default'     => '#eee',
	'output'      => array(
		array(
			'element'  => '.header-07 .page-header-inner',
			'property' => 'border-bottom-color',
		),
	),
) );

Healsoul_Kirki::add_field( 'theme', array(
	'type'        => 'text',
	'settings'    => $prefix . 'box_shadow',
	'label'       => esc_html__( 'Box Shadow', 'healsoul' ),
	'description' => esc_html__( 'Input box shadow for header, e.g 0 0 5px #ccc', 'healsoul' ),
	'section'     => $section,
	'priority'    => $priority ++,
	'default'     => '0 0 10px rgba(0, 0, 0, 0.07)',
	'output'      => array(
		array(
			'element'  => '.header-07 .page-header-inner',
			'property' => 'box-shadow',
		),
	),
) );

Healsoul_Kirki::add_field( 'theme', array(
	'type'        => 'background',
	'settings'    => $prefix . 'background',
	'label'       => esc_html__( 'Background', 'healsoul' ),
	'description' => esc_html__( 'Controls the background of header.', 'healsoul' ),
	'section'     => $section,
	'priority'    => $priority ++,
	'default'     => array(
		'background-color'      => '#fff',
		'background-image'      => '',
		'background-repeat'     => 'no-repeat',
		'background-size'       => 'cover',
		'background-attachment' => 'scroll',
		'background-position'   => 'center center',
	),
	'output'      => array(
		array(
			'element' => '.header-07 .page-header-inner',
		),
	),
) );

Healsoul_Kirki::add_field( 'theme', array(
	'type'        => 'color-alpha',
	'settings'    => $prefix . 'header_icon_color',
	'label'       => esc_html__( 'Icon Color', 'healsoul' ),
	'description' => esc_html__( 'Controls the color of icons on header.', 'healsoul' ),
	'section'     => $section,
	'priority'    => $priority ++,
	'transport'   => 'auto',
	'default'     => Healsoul::SECONDARY_COLOR,
	'output'      => array(
		array(
			'element'  => '
			.header-07 .wpml-ls-legacy-dropdown-click .wpml-ls-item-toggle,
			.header-07 .popup-search-wrap i,
			.header-07 .mini-cart-icon,
			.header-07 .header-social-networks a,
			.header-07 .page-open-mobile-menu i
			',
			'property' => 'color',
		),
	),
) );

Healsoul_Kirki::add_field( 'theme', array(
	'type'        => 'color-alpha',
	'settings'    => $prefix . 'header_icon_hover_color',
	'label'       => esc_html__( 'Icon Hover Color', 'healsoul' ),
	'description' => esc_html__( 'Controls the color when hover of icons on header.', 'healsoul' ),
	'section'     => $section,
	'priority'    => $priority ++,
	'transport'   => 'auto',
	'default'     => Healsoul::PRIMARY_COLOR,
	'output'      => array(
		array(
			'element'  => '
			.header-07 .wpml-ls-legacy-dropdown-click .wpml-ls-item-toggle:hover,
			.header-07 .wpml-ls-legacy-dropdown-click .wpml-ls-item-toggle:focus,
			.header-07 .wpml-ls-legacy-dropdown-click .wpml-ls-current-language:hover>a,
			.header-07 .popup-search-wrap:hover i,
			.header-07 .mini-cart-icon:hover,
			.header-07 .header-social-networks a:hover,
			.header-07 .page-open-mobile-menu:hover i
			',
			'property' => 'color',
		),
	),
) );

Healsoul_Kirki::add_field( 'theme', array(
	'type'        => 'color-alpha',
	'settings'    => $prefix . 'cart_badge_background_color',
	'label'       => esc_html__( 'Cart Badge Background Color', 'healsoul' ),
	'description' => esc_html__( 'Controls the background color of cart badge.', 'healsoul' ),
	'section'     => $section,
	'priority'    => $priority ++,
	'transport'   => 'auto',
	'default'     => Healsoul::PRIMARY_COLOR,
	'output'      => array(
		array(
			'element'  => '.header-07 .mini-cart .mini-cart-icon:after',
			'property' => 'background-color',
		),
	),
) );

Healsoul_Kirki::add_field( 'theme', array(
	'type'        => 'color-alpha',
	'settings'    => $prefix . 'cart_badge_color',
	'label'       => esc_html__( 'Cart Badge Color', 'healsoul' ),
	'description' => esc_html__( 'Controls the color of cart badge.', 'healsoul' ),
	'section'     => $section,
	'priority'    => $priority ++,
	'transport'   => 'auto',
	'default'     => '#fff',
	'output'      => array(
		array(
			'element'  => '.header-07 .mini-cart .mini-cart-icon:after',
			'property' => 'color',
		),
	),
) );

Healsoul_Kirki::add_field( 'theme', array(
	'type'        => 'color-alpha',
	'settings'    => $prefix . 'header_info_icon_color',
	'label'       => esc_html__( 'Info Icon Color', 'healsoul' ),
	'description' => esc_html__( 'Controls the color of info icons.', 'healsoul' ),
	'section'     => $section,
	'priority'    => $priority ++,
	'transport'   => 'auto',
	'default'     => Healsoul::PRIMARY_COLOR,
	'output'      => array(
		array(
			'element'  => '.header-07 .header-info .info-icon',
			'property' => 'color',
		),
	),
) );

/*--------------------------------------------------------------
# Navigation
--------------------------------------------------------------*/

Healsoul_Kirki::add_field( 'theme', array(
	'type'     => 'custom',
	'settings' => $prefix . 'group_title_' . $priority ++,
	'section'  => $section,
	'priority' => $priority ++,
	'default'  => '<div class="big_title">' . esc_html__( 'Main Menu Level 1', 'healsoul' ) . '</div>',
) );

Healsoul_Kirki::add_field( 'theme', array(
	'type'      => 'spacing',
	'settings'  => $prefix . 'navigation_margin',
	'label'     => esc_html__( 'Menu Margin', 'healsoul' ),
	'section'   => $section,
	'priority'  => $priority ++,
	'transport' => 'auto',
	'default'   => array(
		'top'    => '0px',
		'bottom' => '0px',
		'left'   => '0px',
		'right'  => '0px',
	),
	'output'    => array(
		array(
			'element'  => array(
				'.desktop-menu .header-07 .menu__container',
			),
			'property' => 'margin',
		),
	),
) );

Healsoul_Kirki::add_field( 'theme', array(
	'type'      => 'spacing',
	'settings'  => $prefix . 'navigation_item_padding',
	'label'     => esc_html__( 'Item Padding', 'healsoul' ),
	'section'   => $section,
	'priority'  => $priority ++,
	'default'   => array(
		'top'    => '41px',
		'bottom' => '41px',
		'left'   => '14px',
		'right'  => '14px',
	),
	'transport' => 'auto',
	'output'    => array(
		array(
			'element'  => array(
				'.desktop-menu .header-07 .menu--primary .menu__container > li > a',
			),
			'property' => 'padding',
		),
	),
) );

Healsoul_Kirki::add_field( 'theme', array(
	'type'      => 'spacing',
	'settings'  => $prefix . 'navigation_item_margin',
	'label'     => esc_html__( 'Item Margin', 'healsoul' ),
	'section'   => $section,
	'priority'  => $priority ++,
	'default'   => array(
		'top'    => '0px',
		'bottom' => '0px',
		'left'   => '0px',
		'right'  => '0px',
	),
	'transport' => 'auto',
	'output'    => array(
		array(
			'element'  => array(
				'.desktop-menu .header-07  .menu--primary .menu__container > li',
			),
			'property' => 'margin',
		),
	),
) );

Healsoul_Kirki::add_field( 'theme', array(
	'type'        => 'kirki_typography',
	'settings'    => $prefix . 'navigation_typography',
	'label'       => esc_html__( 'Typography', 'healsoul' ),
	'description' => esc_html__( 'These settings control the typography for menu items.', 'healsoul' ),
	'section'     => $section,
	'priority'    => $priority ++,
	'transport'   => 'auto',
	'default'     => array(
		'font-family'    => '',
		'variant'        => '600',
		'line-height'    => '1.26',
		'letter-spacing' => '0em',
		'text-transform' => 'capitalize',
	),
	'output'      => array(
		array(
			'element' => '.header-07 .menu--primary .menu__container > li > a',
		),
	),
) );

Healsoul_Kirki::add_field( 'theme', array(
	'type'        => 'slider',
	'settings'    => $prefix . 'navigation_item_font_size',
	'label'       => esc_html__( 'Font Size', 'healsoul' ),
	'description' => esc_html__( 'Controls the font size for main menu items.', 'healsoul' ),
	'section'     => $section,
	'priority'    => $priority ++,
	'default'     => 15,
	'transport'   => 'auto',
	'choices'     => array(
		'min'  => 10,
		'max'  => 50,
		'step' => 1,
	),
	'output'      => array(
		array(
			'element'  => '.header-07 .menu--primary .menu__container > li > a',
			'property' => 'font-size',
			'units'    => 'px',
		),
	),
) );

Healsoul_Kirki::add_field( 'theme', array(
	'type'        => 'color-alpha',
	'settings'    => $prefix . 'navigation_link_color',
	'label'       => esc_html__( 'Color', 'healsoul' ),
	'description' => esc_html__( 'Controls the color for main menu items.', 'healsoul' ),
	'section'     => $section,
	'priority'    => $priority ++,
	'transport'   => 'auto',
	'default'     => Healsoul::SECONDARY_COLOR,
	'output'      => array(
		array(
			'element'  => '
			.header-07 .menu--primary a
			',
			'property' => 'color',
		),
	),
) );

Healsoul_Kirki::add_field( 'theme', array(
	'type'        => 'color-alpha',
	'settings'    => $prefix . 'navigation_link_hover_color',
	'label'       => esc_html__( 'Hover Color', 'healsoul' ),
	'description' => esc_html__( 'Controls the color when hover for main menu items.', 'healsoul' ),
	'section'     => $section,
	'priority'    => $priority ++,
	'transport'   => 'auto',
	'default'     => Healsoul::PRIMARY_COLOR,
	'output'      => array(
		array(
			'element'  => '
            .header-07 .menu--primary li:hover > a,
            .header-07 .menu--primary > ul > li > a:hover,
            .header-07 .menu--primary > ul > li > a:focus,
            .header-07 .menu--primary .current-menu-ancestor > a,
            .header-07 .menu--primary .current-menu-item > a
            ',
			'property' => 'color',
		),
	),
) );

Healsoul_Kirki::add_field( 'theme', array(
	'type'        => 'color-alpha',
	'settings'    => $prefix . 'navigation_link_background_color',
	'label'       => esc_html__( 'Background Color', 'healsoul' ),
	'description' => esc_html__( 'Controls the background color for main menu items.', 'healsoul' ),
	'section'     => $section,
	'priority'    => $priority ++,
	'transport'   => 'auto',
	'default'     => '',
	'output'      => array(
		array(
			'element'  => '.header-07 .menu--primary .menu__container > li > a',
			'property' => 'background-color',
		),
	),
) );

Healsoul_Kirki::add_field( 'theme', array(
	'type'        => 'color-alpha',
	'settings'    => $prefix . 'navigation_link_hover_background_color',
	'label'       => esc_html__( 'Hover Background Color', 'healsoul' ),
	'description' => esc_html__( 'Controls the background color when hover for main menu items.', 'healsoul' ),
	'section'     => $section,
	'priority'    => $priority ++,
	'transport'   => 'auto',
	'default'     => '',
	'output'      => array(
		array(
			'element'  => '
            .header-07 .menu--primary .menu__container > li > a:hover,
            .header-07 .menu--primary .menu__container > li.current-menu-item > a',
			'property' => 'background-color',
		),
	),
) );

Healsoul_Kirki::add_field( 'theme', array(
	'type'     => 'custom',
	'settings' => $prefix . 'group_title_' . $priority ++,
	'section'  => $section,
	'priority' => $priority ++,
	'default'  => '<div class="big_title">' . esc_html__( 'Header Sticky', 'healsoul' ) . '</div>',
) );

Healsoul_Kirki::add_field( 'theme', array(
	'type'      => 'spacing',
	'settings'  => $prefix . 'sticky_navigation_margin',
	'label'     => esc_html__( 'Menu Margin', 'healsoul' ),
	'section'   => $section,
	'priority'  => $priority ++,
	'transport' => 'auto',
	'default'   => array(
		'top'    => '0px',
		'bottom' => '0px',
		'left'   => '0px',
		'right'  => '0px',
	),
	'output'    => array(
		array(
			'element'  => array(
				'.desktop-menu .header-07.headroom--not-top .menu__container',
			),
			'property' => 'margin',
		),
	),
) );

Healsoul_Kirki::add_field( 'theme', array(
	'type'      => 'spacing',
	'settings'  => $prefix . 'sticky_navigation_item_padding',
	'label'     => esc_html__( 'Item Padding', 'healsoul' ),
	'section'   => $section,
	'priority'  => $priority ++,
	'default'   => array(
		'top'    => '20px',
		'bottom' => '20px',
		'left'   => '14px',
		'right'  => '14px',
	),
	'transport' => 'auto',
	'output'    => array(
		array(
			'element'  => array(
				'.desktop-menu .header-07.headroom--not-top .menu--primary .menu__container > li > a',
			),
			'property' => 'padding',
		),
	),
) );

Healsoul_Kirki::add_field( 'theme', array(
	'type'      => 'spacing',
	'settings'  => $prefix . 'sticky_navigation_item_margin',
	'label'     => esc_html__( 'Item Margin', 'healsoul' ),
	'section'   => $section,
	'priority'  => $priority ++,
	'default'   => array(
		'top'    => '0px',
		'bottom' => '0px',
		'left'   => '0px',
		'right'  => '0px',
	),
	'transport' => 'auto',
	'output'    => array(
		array(
			'element'  => array(
				'.desktop-menu .header-07.headroom--not-top  .menu--primary .menu__container > li',
			),
			'property' => 'margin',
		),
	),
) );

Healsoul_Kirki::add_field( 'theme', array(
	'type'     => 'custom',
	'settings' => $prefix . 'group_title_' . $priority ++,
	'section'  => $section,
	'priority' => $priority ++,
	'default'  => '<div class="big_title">' . esc_html__( 'Button', 'healsoul' ) . '</div>',
) );

Healsoul_Kirki::add_field( 'theme', array(
	'type'     => 'text',
	'settings' => $prefix . 'button_text',
	'label'    => esc_html__( 'Button Text', 'healsoul' ),
	'section'  => $section,
	'priority' => $priority ++,
	'default'  => esc_html__( 'Request a Quote', 'healsoul' ),
) );

Healsoul_Kirki::add_field( 'theme', array(
	'type'     => 'text',
	'settings' => $prefix . 'button_link',
	'label'    => esc_html__( 'Button link', 'healsoul' ),
	'section'  => $section,
	'priority' => $priority ++,
	'default'  => '#',
) );

Healsoul_Kirki::add_field( 'theme', array(
	'type'     => 'radio-buttonset',
	'settings' => $prefix . 'button_link_target',
	'label'    => esc_html__( 'Open link in a new tab.', 'healsoul' ),
	'section'  => $section,
	'priority' => $priority ++,
	'default'  => '0',
	'choices'  => array(
		'0' => esc_html__( 'No', 'healsoul' ),
		'1' => esc_html__( 'Yes', 'healsoul' ),
	),
) );

Healsoul_Kirki::add_field( 'theme', array(
	'type'        => 'multicolor',
	'settings'    => $prefix . 'button_color',
	'label'       => esc_html__( 'Button Color', 'healsoul' ),
	'description' => esc_html__( 'Controls the color of button.', 'healsoul' ),
	'section'     => $section,
	'priority'    => $priority ++,
	'transport'   => 'auto',
	'choices'     => array(
		'color'      => esc_attr__( 'Color', 'healsoul' ),
		'background' => esc_attr__( 'Background', 'healsoul' ),
		'border'     => esc_attr__( 'Border', 'healsoul' ),
	),
	'default'     => array(
		'color'      => '#fff',
		'background' => Healsoul::PRIMARY_COLOR,
		'border'     => Healsoul::PRIMARY_COLOR,
	),
	'output'      => array(
		array(
			'choice'   => 'color',
			'element'  => '.header-07 .tm-button',
			'property' => 'color',
		),
		array(
			'choice'   => 'border',
			'element'  => '.header-07 .tm-button',
			'property' => 'border-color',
		),
		array(
			'choice'   => 'background',
			'element'  => '.header-07 .tm-button',
			'property' => 'background-color',
		),
	),
) );

Healsoul_Kirki::add_field( 'theme', array(
	'type'        => 'multicolor',
	'settings'    => $prefix . 'button_hover_color',
	'label'       => esc_html__( 'Button Hover Color', 'healsoul' ),
	'description' => esc_html__( 'Controls the color of button when hover.', 'healsoul' ),
	'section'     => $section,
	'priority'    => $priority ++,
	'transport'   => 'auto',
	'choices'     => array(
		'color'      => esc_attr__( 'Color', 'healsoul' ),
		'background' => esc_attr__( 'Background', 'healsoul' ),
		'border'     => esc_attr__( 'Border', 'healsoul' ),
	),
	'default'     => array(
		'color'      => Healsoul::PRIMARY_COLOR,
		'background' => 'rgba(0, 0, 0, 0)',
		'border'     => Healsoul::PRIMARY_COLOR,
	),
	'output'      => array(
		array(
			'choice'   => 'color',
			'element'  => '.header-07 .tm-button:hover',
			'property' => 'color',
		),
		array(
			'choice'   => 'border',
			'element'  => '.header-07 .tm-button:hover',
			'property' => 'border-color',
		),
		array(
			'choice'   => 'background',
			'element'  => '.header-07 .tm-button:hover',
			'property' => 'background-color',
		),
	),
) );
