<?php
$section  = 'header_style_11';
$priority = 1;
$prefix   = 'header_style_11_';

Healsoul_Kirki::add_field( 'theme', array(
	'type'     => 'radio-buttonset',
	'settings' => $prefix . 'overlay',
	'label'    => esc_html__( 'Header Overlay', 'healsoul' ),
	'section'  => $section,
	'priority' => $priority ++,
	'default'  => '0',
	'choices'  => array(
		'0' => esc_html__( 'No', 'healsoul' ),
		'1' => esc_html__( 'Yes', 'healsoul' ),
	),
) );

Healsoul_Kirki::add_field( 'theme', array(
	'type'     => 'radio-buttonset',
	'settings' => $prefix . 'logo',
	'label'    => esc_html__( 'Logo', 'healsoul' ),
	'section'  => $section,
	'priority' => $priority ++,
	'default'  => 'dark',
	'choices'  => array(
		'light' => esc_html__( 'Light', 'healsoul' ),
		'dark'  => esc_html__( 'Dark', 'healsoul' ),
	),
) );

Healsoul_Kirki::add_field( 'theme', array(
	'type'     => 'radio-buttonset',
	'settings' => $prefix . 'language_switcher_enable',
	'label'    => esc_html__( 'Language Switcher', 'healsoul' ),
	'section'  => $section,
	'priority' => $priority ++,
	'default'  => '1',
	'choices'  => array(
		'0' => esc_html__( 'Hide', 'healsoul' ),
		'1' => esc_html__( 'Show', 'healsoul' ),
	),
) );

Healsoul_Kirki::add_field( 'theme', array(
	'type'     => 'radio-buttonset',
	'settings' => $prefix . 'search_enable',
	'label'    => esc_html__( 'Search', 'healsoul' ),
	'section'  => $section,
	'priority' => $priority ++,
	'default'  => '1',
	'choices'  => array(
		'0' => esc_html__( 'Hide', 'healsoul' ),
		'1' => esc_html__( 'Show', 'healsoul' ),
	),
) );

Healsoul_Kirki::add_field( 'theme', array(
	'type'     => 'radio-buttonset',
	'settings' => $prefix . 'cart_enable',
	'label'    => esc_html__( 'Mini Cart', 'healsoul' ),
	'section'  => $section,
	'priority' => $priority ++,
	'default'  => '1',
	'choices'  => array(
		'0' => esc_html__( 'Hide', 'healsoul' ),
		'1' => esc_html__( 'Show', 'healsoul' )
	),
) );

Healsoul_Kirki::add_field( 'theme', array(
	'type'     => 'radio-buttonset',
	'settings' => $prefix . 'social_networks_enable',
	'label'    => esc_html__( 'Social Networks', 'healsoul' ),
	'section'  => $section,
	'priority' => $priority ++,
	'default'  => '1',
	'choices'  => array(
		'0' => esc_html__( 'Hide', 'healsoul' ),
		'1' => esc_html__( 'Show', 'healsoul' ),
	),
) );

Healsoul_Kirki::add_field( 'theme', array(
	'type'      => 'slider',
	'settings'  => $prefix . 'border_middle_width',
	'label'     => esc_html__( 'Border Middle Width', 'healsoul' ),
	'section'   => $section,
	'priority'  => $priority ++,
	'default'   => 1,
	'transport' => 'auto',
	'choices'   => array(
		'min'  => 0,
		'max'  => 50,
		'step' => 1,
	),
	'output'    => array(
		array(
			'element'  => '.header-11 .header-below',
			'property' => 'border-top-width',
			'units'    => 'px',
		),
		array(
			'element'  => '.header-11 .header-right-below > div',
			'property' => 'border-left-width',
			'units'    => 'px',
		),
		array(
			'element'  => '.header-11 .header-right-below .header-search-form-wrap',
			'property' => 'border-right-width',
			'units'    => 'px',
		),
	),
) );

Healsoul_Kirki::add_field( 'theme', array(
	'type'        => 'color-alpha',
	'settings'    => $prefix . 'border_middle_color',
	'label'       => esc_html__( 'Border Middle Color', 'healsoul' ),
	'description' => esc_html__( 'Controls the border middle color.', 'healsoul' ),
	'section'     => $section,
	'priority'    => $priority ++,
	'transport'   => 'auto',
	'default'     => '#eee',
	'output'      => array(
		array(
			'element'  => '.header-11 .header-below',
			'property' => 'border-top-color',
		),
		array(
			'element'  => '.header-11 .header-right-below > div',
			'property' => 'border-left-color',
		),
		array(
			'element'  => '.header-11 .header-right-below .header-search-form-wrap',
			'property' => 'border-right-color',
		),
	),
) );

Healsoul_Kirki::add_field( 'theme', array(
	'type'      => 'slider',
	'settings'  => $prefix . 'border_width',
	'label'     => esc_html__( 'Border Bottom Width', 'healsoul' ),
	'section'   => $section,
	'priority'  => $priority ++,
	'default'   => 0,
	'transport' => 'auto',
	'choices'   => array(
		'min'  => 0,
		'max'  => 50,
		'step' => 1,
	),
	'output'    => array(
		array(
			'element'  => '.header-11 .page-header-inner',
			'property' => 'border-bottom-width',
			'units'    => 'px',
		),
	),
) );

Healsoul_Kirki::add_field( 'theme', array(
	'type'        => 'color-alpha',
	'settings'    => $prefix . 'border_color',
	'label'       => esc_html__( 'Border Bottom Color', 'healsoul' ),
	'description' => esc_html__( 'Controls the border bottom color.', 'healsoul' ),
	'section'     => $section,
	'priority'    => $priority ++,
	'transport'   => 'auto',
	'default'     => '#eee',
	'output'      => array(
		array(
			'element'  => '.header-11 .page-header-inner',
			'property' => 'border-bottom-color',
		),
	),
) );

Healsoul_Kirki::add_field( 'theme', array(
	'type'        => 'text',
	'settings'    => $prefix . 'box_shadow',
	'label'       => esc_html__( 'Box Shadow', 'healsoul' ),
	'description' => esc_html__( 'Input box shadow for header, e.g 0 0 5px #ccc', 'healsoul' ),
	'section'     => $section,
	'priority'    => $priority ++,
	'output'      => array(
		array(
			'element'  => '.header-11 .page-header-inner',
			'property' => 'box-shadow',
		),
	),
) );

Healsoul_Kirki::add_field( 'theme', array(
	'type'        => 'background',
	'settings'    => $prefix . 'background',
	'label'       => esc_html__( 'Background', 'healsoul' ),
	'description' => esc_html__( 'Controls the background of header.', 'healsoul' ),
	'section'     => $section,
	'priority'    => $priority ++,
	'default'     => array(
		'background-color'      => '#fff',
		'background-image'      => '',
		'background-repeat'     => 'no-repeat',
		'background-size'       => 'cover',
		'background-attachment' => 'scroll',
		'background-position'   => 'center center',
	),
	'output'      => array(
		array(
			'element' => '.header-11 .page-header-inner',
		),
	),
) );

Healsoul_Kirki::add_field( 'theme', array(
	'type'        => 'color-alpha',
	'settings'    => $prefix . 'header_icon_color',
	'label'       => esc_html__( 'Icon Color', 'healsoul' ),
	'description' => esc_html__( 'Controls the color of icons on header.', 'healsoul' ),
	'section'     => $section,
	'priority'    => $priority ++,
	'transport'   => 'auto',
	'default'     => Healsoul::SECONDARY_COLOR,
	'output'      => array(
		array(
			'element'  => '.header-11 .page-open-mobile-menu i, .header-11 .mini-cart-icon',
			'property' => 'color',
		),
	),
) );

Healsoul_Kirki::add_field( 'theme', array(
	'type'        => 'color-alpha',
	'settings'    => $prefix . 'header_icon_hover_color',
	'label'       => esc_html__( 'Icon Hover Color', 'healsoul' ),
	'description' => esc_html__( 'Controls the color when hover of icons on header.', 'healsoul' ),
	'section'     => $section,
	'priority'    => $priority ++,
	'transport'   => 'auto',
	'default'     => Healsoul::PRIMARY_COLOR,
	'output'      => array(
		array(
			'element'  => '.header-11 .page-open-mobile-menu:hover i, .header-11 .mini-cart-icon:hover',
			'property' => 'color',
		),
	),
) );

Healsoul_Kirki::add_field( 'theme', array(
	'type'        => 'color-alpha',
	'settings'    => $prefix . 'cart_badge_background_color',
	'label'       => esc_html__( 'Cart Badge Background Color', 'healsoul' ),
	'description' => esc_html__( 'Controls the background color of cart badge.', 'healsoul' ),
	'section'     => $section,
	'priority'    => $priority ++,
	'transport'   => 'auto',
	'default'     => Healsoul::PRIMARY_COLOR,
	'output'      => array(
		array(
			'element'  => '.header-11 .mini-cart .mini-cart-icon:after',
			'property' => 'background-color',
		),
	),
) );

Healsoul_Kirki::add_field( 'theme', array(
	'type'        => 'color-alpha',
	'settings'    => $prefix . 'cart_badge_color',
	'label'       => esc_html__( 'Cart Badge Color', 'healsoul' ),
	'description' => esc_html__( 'Controls the color of cart badge.', 'healsoul' ),
	'section'     => $section,
	'priority'    => $priority ++,
	'transport'   => 'auto',
	'default'     => '#fff',
	'output'      => array(
		array(
			'element'  => '.header-11 .mini-cart .mini-cart-icon:after',
			'property' => 'color',
		),
	),
) );

Healsoul_Kirki::add_field( 'theme', array(
	'type'      => 'repeater',
	'settings'  => $prefix . 'link_list',
	'label'     => esc_html__( 'Link List', 'healsoul' ),
	'section'   => $section,
	'priority'  => $priority ++,
	'choices'   => array(
		'labels' => array(
			'add-new-row' => esc_html__( 'Add new link', 'healsoul' ),
		),
	),
	'row_label' => array(
		'type'  => 'field',
		'field' => 'text',
	),
	'default'   => array(
		array(
			'text'       => 'Call Us: (+00)888.666.88',
			'url'        => 'tel:18009777880',
			'icon_class' => 'fas fa-phone',
		),
		array(
			'text'       => 'Email: thememove@trator.com',
			'url'        => '',
			'icon_class' => 'fas fa-map-marker-alt',
		),
		array(
			'text'       => 'Mon - Fri: 9:00 - 19:00 / Closed on Weekends',
			'url'        => '',
			'icon_class' => 'fas fa-clock',
		),
	),
	'fields'    => array(
		'text'       => array(
			'type'    => 'text',
			'label'   => esc_html__( 'Title', 'healsoul' ),
			'default' => '',
		),
		'url'        => array(
			'type'    => 'text',
			'label'   => esc_html__( 'Link', 'healsoul' ),
			'default' => '',
		),
		'icon_class' => array(
			'type'    => 'text',
			'label'   => esc_html__( 'Icon Class', 'healsoul' ),
			'default' => '',
		),
	),
) );

Healsoul_Kirki::add_field( 'theme', array(
	'type'        => 'slider',
	'settings'    => $prefix . 'link_list_font_size',
	'label'       => esc_html__( 'Info list Font Size', 'healsoul' ),
	'description' => esc_html__( 'Controls the font size for main info items.', 'healsoul' ),
	'section'     => $section,
	'priority'    => $priority ++,
	'default'     => 14,
	'transport'   => 'auto',
	'choices'     => array(
		'min'  => 10,
		'max'  => 50,
		'step' => 1,
	),
	'output'      => array(
		array(
			'element'  => '.header-11 .header-link-list .link-item',
			'property' => 'font-size',
			'units'    => 'px',
		),
	),
) );

Healsoul_Kirki::add_field( 'theme', array(
	'type'        => 'color-alpha',
	'settings'    => $prefix . 'link_list__color',
	'label'       => esc_html__( 'Info list Color', 'healsoul' ),
	'description' => esc_html__( 'Controls the color of text, link in Info list on header.', 'healsoul' ),
	'section'     => $section,
	'priority'    => $priority ++,
	'transport'   => 'auto',
	'default'     => '#7A8A9E',
	'output'      => array(
		array(
			'element'  => '
			.header-11 .header-link-list .link-item,
			.header-11 .header-link-list .link-item a',
			'property' => 'color',
		),
	),
) );

Healsoul_Kirki::add_field( 'theme', array(
	'type'        => 'color-alpha',
	'settings'    => $prefix . 'link_list_hover__color',
	'label'       => esc_html__( 'Info link hover Color', 'healsoul' ),
	'description' => esc_html__( 'Controls the color of text, link in Info list on header.', 'healsoul' ),
	'section'     => $section,
	'priority'    => $priority ++,
	'transport'   => 'auto',
	'default'     => Healsoul::PRIMARY_COLOR,
	'output'      => array(
		array(
			'element'  => '.header-11 .header-link-list .link-item a:hover',
			'property' => 'color',
		),
	),
) );

Healsoul_Kirki::add_field( 'theme', array(
	'type'        => 'color-alpha',
	'settings'    => $prefix . 'link_list_icon__color',
	'label'       => esc_html__( 'Info icon Color', 'healsoul' ),
	'description' => esc_html__( 'Controls the color of icon in Info list on header.', 'healsoul' ),
	'section'     => $section,
	'priority'    => $priority ++,
	'transport'   => 'auto',
	'default'     => Healsoul::PRIMARY_COLOR,
	'output'      => array(
		array(
			'element'  => '
			.header-11 .header-link-list .link-item i',
			'property' => 'color',
		),
	),
) );

Healsoul_Kirki::add_field( 'theme', array(
	'type'     => 'textarea',
	'settings' => $prefix . 'text',
	'label'    => esc_html__( 'Text', 'healsoul' ),
	'section'  => $section,
	'priority' => $priority ++,
	'default'  => wp_kses( __( 'Call (888)234-567 or <a href="#">Chat Now</a>', 'healsoul' ), 'healsoul-default' ),
) );

Healsoul_Kirki::add_field( 'theme', array(
	'type'        => 'color-alpha',
	'settings'    => $prefix . 'header_text__color',
	'label'       => esc_html__( 'Header text Color', 'healsoul' ),
	'description' => esc_html__( 'Controls the color of header text on header.', 'healsoul' ),
	'section'     => $section,
	'priority'    => $priority ++,
	'transport'   => 'auto',
	'default'     => Healsoul::SECONDARY_COLOR,
	'output'      => array(
		array(
			'element'  => '
			.header-11 .header-text-wrap',
			'property' => 'color',
		),
	),
) );

Healsoul_Kirki::add_field( 'theme', array(
	'type'        => 'color-alpha',
	'settings'    => $prefix . 'header_text_link__color',
	'label'       => esc_html__( 'Header text link Color', 'healsoul' ),
	'description' => esc_html__( 'Controls the color of link text on header.', 'healsoul' ),
	'section'     => $section,
	'priority'    => $priority ++,
	'transport'   => 'auto',
	'default'     => Healsoul::PRIMARY_COLOR,
	'output'      => array(
		array(
			'element'  => '
			.header-11 .header-text-wrap a',
			'property' => 'color',
		),
	),
) );

/*--------------------------------------------------------------
# Navigation
--------------------------------------------------------------*/

Healsoul_Kirki::add_field( 'theme', array(
	'type'     => 'custom',
	'settings' => $prefix . 'group_title_' . $priority ++,
	'section'  => $section,
	'priority' => $priority ++,
	'default'  => '<div class="big_title">' . esc_html__( 'Main Menu Level 1', 'healsoul' ) . '</div>',
) );

Healsoul_Kirki::add_field( 'theme', array(
	'type'      => 'spacing',
	'settings'  => $prefix . 'navigation_margin',
	'label'     => esc_html__( 'Menu Margin', 'healsoul' ),
	'section'   => $section,
	'priority'  => $priority ++,
	'default'   => array(
		'top'    => '0px',
		'bottom' => '0px',
		'left'   => '0px',
		'right'  => '0px',
	),
	'transport' => 'auto',
	'output'    => array(
		array(
			'element'  => array(
				'.desktop-menu .header-11 .menu__container',
			),
			'property' => 'margin',
		),
	),
) );

Healsoul_Kirki::add_field( 'theme', array(
	'type'      => 'spacing',
	'settings'  => $prefix . 'navigation_item_padding',
	'label'     => esc_html__( 'Item Padding', 'healsoul' ),
	'section'   => $section,
	'priority'  => $priority ++,
	'default'   => array(
		'top'    => '45px',
		'bottom' => '45px',
		'left'   => '15px',
		'right'  => '15px',
	),
	'transport' => 'auto',
	'output'    => array(
		array(
			'element'  => array(
				'.desktop-menu .header-11 .menu--primary .menu__container > li > a',
			),
			'property' => 'padding',
		),
	),
) );

Healsoul_Kirki::add_field( 'theme', array(
	'type'      => 'spacing',
	'settings'  => $prefix . 'navigation_item_margin',
	'label'     => esc_html__( 'Item Margin', 'healsoul' ),
	'section'   => $section,
	'priority'  => $priority ++,
	'default'   => array(
		'top'    => '0px',
		'bottom' => '0px',
		'left'   => '0px',
		'right'  => '0px',
	),
	'transport' => 'auto',
	'output'    => array(
		array(
			'element'  => array(
				'.desktop-menu .header-11  .menu--primary .menu__container > li',
			),
			'property' => 'margin',
		),
	),
) );

Healsoul_Kirki::add_field( 'theme', array(
	'type'        => 'kirki_typography',
	'settings'    => $prefix . 'navigation_typography',
	'label'       => esc_html__( 'Typography', 'healsoul' ),
	'description' => esc_html__( 'These settings control the typography for menu items.', 'healsoul' ),
	'section'     => $section,
	'priority'    => $priority ++,
	'transport'   => 'auto',
	'default'     => array(
		'font-family'    => '',
		'variant'        => '600',
		'line-height'    => '1.26',
		'letter-spacing' => '0px',
		'text-transform' => 'capitalize',
	),
	'output'      => array(
		array(
			'element' => '.header-11 .menu--primary .menu__container > li > a',
		),
	),
) );

Healsoul_Kirki::add_field( 'theme', array(
	'type'        => 'slider',
	'settings'    => $prefix . 'navigation_item_font_size',
	'label'       => esc_html__( 'Font Size', 'healsoul' ),
	'description' => esc_html__( 'Controls the font size for main menu items.', 'healsoul' ),
	'section'     => $section,
	'priority'    => $priority ++,
	'default'     => 15,
	'transport'   => 'auto',
	'choices'     => array(
		'min'  => 10,
		'max'  => 50,
		'step' => 1,
	),
	'output'      => array(
		array(
			'element'  => '.header-11 .menu--primary .menu__container > li > a',
			'property' => 'font-size',
			'units'    => 'px',
		),
	),
) );

Healsoul_Kirki::add_field( 'theme', array(
	'type'        => 'color-alpha',
	'settings'    => $prefix . 'navigation_link_color',
	'label'       => esc_html__( 'Color', 'healsoul' ),
	'description' => esc_html__( 'Controls the color for main menu items.', 'healsoul' ),
	'section'     => $section,
	'priority'    => $priority ++,
	'transport'   => 'auto',
	'default'     => Healsoul::SECONDARY_COLOR,
	'output'      => array(
		array(
			'element'  => '
			.header-11 .menu--primary a,
			.header-11 .wpml-ls-legacy-dropdown-click .wpml-ls-item-toggle,
			.header-11 .popup-search-wrap i,
			.header-11 .header-social-networks a,
			.header-11 .header-search-form-wrap .search-submit
			',
			'property' => 'color',
		),
	),
) );

Healsoul_Kirki::add_field( 'theme', array(
	'type'        => 'color-alpha',
	'settings'    => $prefix . 'navigation_link_hover_color',
	'label'       => esc_html__( 'Hover Color', 'healsoul' ),
	'description' => esc_html__( 'Controls the color when hover for main menu items.', 'healsoul' ),
	'section'     => $section,
	'priority'    => $priority ++,
	'transport'   => 'auto',
	'default'     => Healsoul::PRIMARY_COLOR,
	'output'      => array(
		array(
			'element'  => '
			.header-11 .popup-search-wrap:hover i,
            .header-11 .menu--primary li:hover > a,
            .header-11 .menu--primary > ul > li > a:hover,
            .header-11 .menu--primary > ul > li > a:focus,
            .header-11 .menu--primary .current-menu-ancestor > a,
            .header-11 .menu--primary .current-menu-item > a',
			'property' => 'color',
		),
	),
) );

Healsoul_Kirki::add_field( 'theme', array(
	'type'        => 'color-alpha',
	'settings'    => $prefix . 'navigation_link_background_color',
	'label'       => esc_html__( 'Background Color', 'healsoul' ),
	'description' => esc_html__( 'Controls the background color for main menu items.', 'healsoul' ),
	'section'     => $section,
	'priority'    => $priority ++,
	'transport'   => 'auto',
	'default'     => '',
	'output'      => array(
		array(
			'element'  => '.header-11 .menu--primary .menu__container > li > a',
			'property' => 'background-color',
		),
	),
) );

Healsoul_Kirki::add_field( 'theme', array(
	'type'        => 'color-alpha',
	'settings'    => $prefix . 'navigation_link_hover_background_color',
	'label'       => esc_html__( 'Hover Background Color', 'healsoul' ),
	'description' => esc_html__( 'Controls the background color when hover for main menu items.', 'healsoul' ),
	'section'     => $section,
	'priority'    => $priority ++,
	'transport'   => 'auto',
	'default'     => '',
	'output'      => array(
		array(
			'element'  => '
            .header-11 .menu--primary .menu__container > li > a:hover,
            .header-11 .menu--primary .menu__container > li.current-menu-item > a',
			'property' => 'background-color',
		),
	),
) );

Healsoul_Kirki::add_field( 'theme', array(
	'type'        => 'color-alpha',
	'settings'    => $prefix . 'navigation_link_border_color',
	'label'       => esc_html__( 'Border Top Color', 'healsoul' ),
	'description' => esc_html__( 'Controls the border top color for items.', 'healsoul' ),
	'section'     => $section,
	'priority'    => $priority ++,
	'transport'   => 'auto',
	'default'     => Healsoul::PRIMARY_COLOR,
	'output'      => array(
		array(
			'element'  => '
			.desktop-menu .header-11 .menu__container > li > a:after
			',
			'property' => 'background-color',
		),
	),
) );

Healsoul_Kirki::add_field( 'theme', array(
	'type'     => 'custom',
	'settings' => $prefix . 'group_title_' . $priority ++,
	'section'  => $section,
	'priority' => $priority ++,
	'default'  => '<div class="big_title">' . esc_html__( 'Button', 'healsoul' ) . '</div>',
) );

Healsoul_Kirki::add_field( 'theme', array(
	'type'     => 'text',
	'settings' => $prefix . 'button_text',
	'label'    => esc_html__( 'Button Text', 'healsoul' ),
	'section'  => $section,
	'priority' => $priority ++,
	'default'  => esc_html__( 'Get a free quote', 'healsoul' ),
) );

Healsoul_Kirki::add_field( 'theme', array(
	'type'     => 'text',
	'settings' => $prefix . 'button_link',
	'label'    => esc_html__( 'Button link', 'healsoul' ),
	'section'  => $section,
	'priority' => $priority ++,
	'default'  => '#',
) );

Healsoul_Kirki::add_field( 'theme', array(
	'type'     => 'radio-buttonset',
	'settings' => $prefix . 'button_link_target',
	'label'    => esc_html__( 'Open link in a new tab.', 'healsoul' ),
	'section'  => $section,
	'priority' => $priority ++,
	'default'  => '0',
	'choices'  => array(
		'0' => esc_html__( 'No', 'healsoul' ),
		'1' => esc_html__( 'Yes', 'healsoul' ),
	),
) );

Healsoul_Kirki::add_field( 'theme', array(
	'type'     => 'text',
	'settings' => $prefix . 'button_icon',
	'label'    => esc_html__( 'Button Icon class', 'healsoul' ),
	'section'  => $section,
	'priority' => $priority ++,
) );

Healsoul_Kirki::add_field( 'theme', array(
	'type'        => 'multicolor',
	'settings'    => $prefix . 'button_color',
	'label'       => esc_html__( 'Button Color', 'healsoul' ),
	'description' => esc_html__( 'Controls the color of button.', 'healsoul' ),
	'section'     => $section,
	'priority'    => $priority ++,
	'transport'   => 'auto',
	'choices'     => array(
		'color'      => esc_attr__( 'Color', 'healsoul' ),
		'background' => esc_attr__( 'Background', 'healsoul' ),
		'border'     => esc_attr__( 'Border', 'healsoul' ),
	),
	'default'     => array(
		'color'      => '#fff',
		'background' => Healsoul::PRIMARY_COLOR,
		'border'     => Healsoul::PRIMARY_COLOR,
	),
	'output'      => array(
		array(
			'choice'   => 'color',
			'element'  => '.header-11 .tm-button',
			'property' => 'color',
		),
		array(
			'choice'   => 'border',
			'element'  => '.header-11 .tm-button',
			'property' => 'border-color',
		),
		array(
			'choice'   => 'background',
			'element'  => '.header-11 .header-button:after',
			'property' => 'border-top-color',
		),
		array(
			'choice'   => 'background',
			'element'  => '.header-11 .tm-button',
			'property' => 'background-color',
		),
	),
) );

Healsoul_Kirki::add_field( 'theme', array(
	'type'        => 'multicolor',
	'settings'    => $prefix . 'button_hover_color',
	'label'       => esc_html__( 'Button Hover Color', 'healsoul' ),
	'description' => esc_html__( 'Controls the color of button when hover.', 'healsoul' ),
	'section'     => $section,
	'priority'    => $priority ++,
	'transport'   => 'auto',
	'choices'     => array(
		'color'      => esc_attr__( 'Color', 'healsoul' ),
		'background' => esc_attr__( 'Background', 'healsoul' ),
		'border'     => esc_attr__( 'Border', 'healsoul' ),
	),
	'default'     => array(
		'color'      => '#fff',
		'background' => Healsoul::SECONDARY_COLOR,
		'border'     => Healsoul::SECONDARY_COLOR,
	),
	'output'      => array(
		array(
			'choice'   => 'color',
			'element'  => '.header-11 .header-button:hover .tm-button',
			'property' => 'color',
		),
		array(
			'choice'   => 'border',
			'element'  => '.header-11 .header-button:hover .tm-button',
			'property' => 'border-color',
		),
		array(
			'choice'   => 'background',
			'element'  => '.header-11 .header-button:hover:after',
			'property' => 'border-top-color',
		),
		array(
			'choice'   => 'background',
			'element'  => '.header-11 .header-button:hover .tm-button',
			'property' => 'background-color',
		),
	),
) );
