<?php
$section  = 'title_bar';
$priority = 1;
$prefix   = 'title_bar_';

$title_bar_stylish = Healsoul_Helper::get_title_bar_list( true );

Healsoul_Kirki::add_field( 'theme', array(
	'type'        => 'radio-buttonset',
	'settings'    => $prefix . 'layout',
	'label'       => esc_html__( 'Default Title Bar', 'healsoul' ),
	'description' => esc_html__( 'Select default title bar that displays on all pages.', 'healsoul' ),
	'section'     => $section,
	'priority'    => $priority ++,
	'default'     => '02',
	'choices'     => Healsoul_Helper::get_title_bar_list(),
) );

Healsoul_Kirki::add_field( 'theme', array(
	'type'        => 'text',
	'settings'    => $prefix . 'search_title',
	'label'       => esc_html__( 'Search Heading', 'healsoul' ),
	'description' => esc_html__( 'Enter text prefix that displays on search results page.', 'healsoul' ),
	'section'     => $section,
	'priority'    => $priority ++,
	'default'     => esc_html__( 'Search results for: ', 'healsoul' ),
) );

Healsoul_Kirki::add_field( 'theme', array(
	'type'        => 'text',
	'settings'    => $prefix . 'home_title',
	'label'       => esc_html__( 'Home Heading', 'healsoul' ),
	'description' => esc_html__( 'Enter text that displays on front latest posts page.', 'healsoul' ),
	'section'     => $section,
	'priority'    => $priority ++,
	'default'     => esc_html__( 'Blog', 'healsoul' ),
) );

Healsoul_Kirki::add_field( 'theme', array(
	'type'        => 'text',
	'settings'    => $prefix . 'archive_category_title',
	'label'       => esc_html__( 'Archive Category Heading', 'healsoul' ),
	'description' => esc_html__( 'Enter text prefix that displays on archive category page.', 'healsoul' ),
	'section'     => $section,
	'priority'    => $priority ++,
	'default'     => esc_html__( 'Category: ', 'healsoul' ),
) );

Healsoul_Kirki::add_field( 'theme', array(
	'type'        => 'text',
	'settings'    => $prefix . 'archive_tag_title',
	'label'       => esc_html__( 'Archive Tag Heading', 'healsoul' ),
	'description' => esc_html__( 'Enter text prefix that displays on archive tag page.', 'healsoul' ),
	'section'     => $section,
	'priority'    => $priority ++,
	'default'     => esc_html__( 'Tag: ', 'healsoul' ),
) );

Healsoul_Kirki::add_field( 'theme', array(
	'type'        => 'text',
	'settings'    => $prefix . 'archive_author_title',
	'label'       => esc_html__( 'Archive Author Heading', 'healsoul' ),
	'description' => esc_html__( 'Enter text prefix that displays on archive author page.', 'healsoul' ),
	'section'     => $section,
	'priority'    => $priority ++,
	'default'     => esc_html__( 'Author: ', 'healsoul' ),
) );

Healsoul_Kirki::add_field( 'theme', array(
	'type'        => 'text',
	'settings'    => $prefix . 'archive_year_title',
	'label'       => esc_html__( 'Archive Year Heading', 'healsoul' ),
	'description' => esc_html__( 'Enter text prefix that displays on archive year page.', 'healsoul' ),
	'section'     => $section,
	'priority'    => $priority ++,
	'default'     => esc_html__( 'Year: ', 'healsoul' ),
) );

Healsoul_Kirki::add_field( 'theme', array(
	'type'        => 'text',
	'settings'    => $prefix . 'archive_month_title',
	'label'       => esc_html__( 'Archive Month Heading', 'healsoul' ),
	'description' => esc_html__( 'Enter text prefix that displays on archive month page.', 'healsoul' ),
	'section'     => $section,
	'priority'    => $priority ++,
	'default'     => esc_html__( 'Month: ', 'healsoul' ),
) );

Healsoul_Kirki::add_field( 'theme', array(
	'type'        => 'text',
	'settings'    => $prefix . 'archive_day_title',
	'label'       => esc_html__( 'Archive Day Heading', 'healsoul' ),
	'description' => esc_html__( 'Enter text prefix that displays on archive day page.', 'healsoul' ),
	'section'     => $section,
	'priority'    => $priority ++,
	'default'     => esc_html__( 'Day: ', 'healsoul' ),
) );

Healsoul_Kirki::add_field( 'theme', array(
	'type'        => 'text',
	'settings'    => $prefix . 'single_blog_title',
	'label'       => esc_html__( 'Single Blog Heading', 'healsoul' ),
	'description' => esc_html__( 'Enter text that displays on single blog posts. Leave blank to use post title.', 'healsoul' ),
	'section'     => $section,
	'priority'    => $priority ++,
	'default'     => esc_html__( 'Blog', 'healsoul' ),
) );

Healsoul_Kirki::add_field( 'theme', array(
	'type'        => 'text',
	'settings'    => $prefix . 'single_product_title',
	'label'       => esc_html__( 'Single Product Heading', 'healsoul' ),
	'description' => esc_html__( 'Enter text that displays on single product pages. Leave blank to use product title.', 'healsoul' ),
	'section'     => $section,
	'priority'    => $priority ++,
	'default'     => esc_html__( 'Shop', 'healsoul' ),
) );

Healsoul_Kirki::add_field( 'theme', array(
	'type'        => 'radio-buttonset',
	'settings'    => 'single_page_title_bar_layout',
	'label'       => esc_html__( 'Single Page Title Bar Layout', 'healsoul' ),
	'description' => esc_html__( 'Select default Title Bar that displays on all single pages.', 'healsoul' ),
	'section'     => $section,
	'priority'    => $priority ++,
	'default'     => 'default',
	'choices'     => $title_bar_stylish,
) );

Healsoul_Kirki::add_field( 'theme', array(
	'type'        => 'radio-buttonset',
	'settings'    => 'single_post_title_bar_layout',
	'label'       => esc_html__( 'Single Blog Page Title Bar Layout', 'healsoul' ),
	'description' => esc_html__( 'Select default Title Bar that displays on all single blog post pages.', 'healsoul' ),
	'section'     => $section,
	'priority'    => $priority ++,
	'default'     => 'default',
	'choices'     => $title_bar_stylish,
) );

Healsoul_Kirki::add_field( 'theme', array(
	'type'        => 'radio-buttonset',
	'settings'    => 'single_product_title_bar_layout',
	'label'       => esc_html__( 'Single Product Page Title Bar Layout', 'healsoul' ),
	'description' => esc_html__( 'Select default Title Bar that displays on all single product pages.', 'healsoul' ),
	'section'     => $section,
	'priority'    => $priority ++,
	'default'     => '03',
	'choices'     => $title_bar_stylish,
) );

Healsoul_Kirki::add_field( 'theme', array(
	'type'        => 'radio-buttonset',
	'settings'    => 'single_case_study_title_bar_layout',
	'label'       => esc_html__( 'Single Resource Page Title Bar Layout', 'healsoul' ),
	'description' => esc_html__( 'Select default Title Bar that displays on all single resource post pages.', 'healsoul' ),
	'section'     => $section,
	'priority'    => $priority ++,
	'default'     => '02',
	'choices'     => $title_bar_stylish,
) );

Healsoul_Kirki::add_field( 'theme', array(
	'type'        => 'radio-buttonset',
	'settings'    => 'single_service_title_bar_layout',
	'label'       => esc_html__( 'Single Service Page Title Bar Layout', 'healsoul' ),
	'description' => esc_html__( 'Select default Title Bar that displays on all single service post pages.', 'healsoul' ),
	'section'     => $section,
	'priority'    => $priority ++,
	'default'     => '07',
	'choices'     => $title_bar_stylish,
) );
