<?php
$section  = 'top_bar_style_02';
$priority = 1;
$prefix   = 'top_bar_style_02_';

Healsoul_Kirki::add_field( 'theme', array(
	'type'        => 'radio-buttonset',
	'settings'    => $prefix . 'language_switcher_enable',
	'label'       => esc_html__( 'Language Switcher', 'healsoul' ),
	'description' => esc_html__( 'Controls the display the language switcher', 'healsoul' ),
	'section'     => $section,
	'priority'    => $priority ++,
	'default'     => '1',
	'choices'     => array(
		'0' => esc_html__( 'Hide', 'healsoul' ),
		'1' => esc_html__( 'Show', 'healsoul' ),
	),
) );

Healsoul_Kirki::add_field( 'theme', array(
	'type'      => 'repeater',
	'settings'  => $prefix . 'office',
	'label'     => esc_html__( 'Office List', 'healsoul' ),
	'section'   => $section,
	'priority'  => $priority ++,
	'choices'   => array(
		'labels' => array(
			'add-new-row' => esc_html__( 'Add new office', 'healsoul' ),
		),
	),
	'row_label' => array(
		'type'  => 'field',
		'field' => 'name',
	),
	'default'   => array(
		array(
			'name'    => 'New York Office',
			'address' => '3rd Avenue, San Francisco',
			'time'    => 'Mon-fri: 8am-7pm',
			'fax'     => '1800 977 78 80',
		),
		array(
			'name'    => 'London Office',
			'address' => '23 Baker Str, London, HA018 UK',
			'time'    => 'Mon-sat: 8am-7pm',
			'fax'     => '1800 123 45 67',
		),
	),
	'fields'    => array(
		'name'    => array(
			'type'    => 'text',
			'label'   => esc_html__( 'Office Name', 'healsoul' ),
			'default' => '',
		),
		'address' => array(
			'type'    => 'text',
			'label'   => esc_html__( 'Address', 'healsoul' ),
			'default' => '',
		),
		'time'    => array(
			'type'    => 'text',
			'label'   => esc_html__( 'Time', 'healsoul' ),
			'default' => '',
		),
		'fax'     => array(
			'type'    => 'text',
			'label'   => esc_html__( 'Fax', 'healsoul' ),
			'default' => '',
		),
	),
) );

Healsoul_Kirki::add_field( 'theme', array(
	'type'      => 'slider',
	'settings'  => $prefix . 'padding_top',
	'label'     => esc_html__( 'Padding top', 'healsoul' ),
	'section'   => $section,
	'priority'  => $priority ++,
	'default'   => 0,
	'transport' => 'auto',
	'choices'   => array(
		'min'  => 0,
		'max'  => 200,
		'step' => 1,
	),
	'output'    => array(
		array(
			'element'  => '.top-bar-02',
			'property' => 'padding-top',
			'units'    => 'px',
		),
	),
) );

Healsoul_Kirki::add_field( 'theme', array(
	'type'      => 'slider',
	'settings'  => $prefix . 'padding_bottom',
	'label'     => esc_html__( 'Padding bottom', 'healsoul' ),
	'section'   => $section,
	'priority'  => $priority ++,
	'default'   => 0,
	'transport' => 'auto',
	'choices'   => array(
		'min'  => 0,
		'max'  => 200,
		'step' => 1,
	),
	'output'    => array(
		array(
			'element'  => '.top-bar-02',
			'property' => 'padding-bottom',
			'units'    => 'px',
		),
	),
) );

Healsoul_Kirki::add_field( 'theme', array(
	'type'        => 'kirki_typography',
	'settings'    => $prefix . 'typography',
	'label'       => esc_html__( 'Typography', 'healsoul' ),
	'description' => esc_html__( 'These settings control the typography of texts of top bar section.', 'healsoul' ),
	'section'     => $section,
	'priority'    => $priority ++,
	'transport'   => 'auto',
	'default'     => array(
		'font-family'    => '',
		'variant'        => '500',
		'line-height'    => '1.78',
		'letter-spacing' => '0em',
		'text-transform' => 'none',
	),
	'output'      => array(
		array(
			'element' => '.top-bar-02, .top-bar-02 a',
		),
	),
) );

Healsoul_Kirki::add_field( 'theme', array(
	'type'      => 'slider',
	'settings'  => $prefix . 'font_size',
	'label'     => esc_html__( 'Font size', 'healsoul' ),
	'section'   => $section,
	'priority'  => $priority ++,
	'default'   => 14,
	'transport' => 'auto',
	'choices'   => array(
		'min'  => 10,
		'max'  => 50,
		'step' => 1,
	),
	'output'    => array(
		array(
			'element'  => '.top-bar-02, .top-bar-02 a',
			'property' => 'font-size',
			'units'    => 'px',
		),
	),
) );

Healsoul_Kirki::add_field( 'theme', array(
	'type'        => 'color-alpha',
	'settings'    => $prefix . 'bg_color',
	'label'       => esc_html__( 'Background', 'healsoul' ),
	'description' => esc_html__( 'Controls the background color of top bar.', 'healsoul' ),
	'section'     => $section,
	'priority'    => $priority ++,
	'transport'   => 'auto',
	'default'     => Healsoul::SECONDARY_COLOR,
	'output'      => array(
		array(
			'element'  => '.top-bar-02',
			'property' => 'background-color',
		),
	),
) );

Healsoul_Kirki::add_field( 'theme', array(
	'type'      => 'slider',
	'settings'  => $prefix . 'border_width',
	'label'     => esc_html__( 'Border Bottom Width', 'healsoul' ),
	'section'   => $section,
	'priority'  => $priority ++,
	'default'   => 0,
	'transport' => 'auto',
	'choices'   => array(
		'min'  => 0,
		'max'  => 50,
		'step' => 1,
	),
	'output'    => array(
		array(
			'element'  => '.top-bar-02',
			'property' => 'border-bottom-width',
			'units'    => 'px',
		),
	),
) );

Healsoul_Kirki::add_field( 'theme', array(
	'type'        => 'color-alpha',
	'settings'    => $prefix . 'border_color',
	'label'       => esc_html__( 'Border Bottom Color', 'healsoul' ),
	'description' => esc_html__( 'Controls the border bottom color of top bar.', 'healsoul' ),
	'section'     => $section,
	'priority'    => $priority ++,
	'transport'   => 'auto',
	'default'     => 'rgba(238, 238, 238, 0.1)',
	'output'      => array(
		array(
			'element'  => '.top-bar-02',
			'property' => 'border-bottom-color',
		),
		array(
			'element'  => '.top-bar-02 .top-bar-office-wrapper .office .office-content-wrap',
			'property' => 'border-left-color',
		),
	),
) );

Healsoul_Kirki::add_field( 'theme', array(
	'type'        => 'color-alpha',
	'settings'    => $prefix . 'text_color',
	'label'       => esc_html__( 'Text', 'healsoul' ),
	'description' => esc_html__( 'Controls the color of text on top bar.', 'healsoul' ),
	'section'     => $section,
	'priority'    => $priority ++,
	'transport'   => 'auto',
	'default'     => '#fff',
	'output'      => array(
		array(
			'element'  => '.top-bar-02, .top-bar-02 .switcher-language-wrapper .wpml-ls-legacy-dropdown-click .wpml-ls-item-toggle:after',
			'property' => 'color',
		),
	),
) );

Healsoul_Kirki::add_field( 'theme', array(
	'type'        => 'color-alpha',
	'settings'    => $prefix . 'link_color',
	'label'       => esc_html__( 'Link Color', 'healsoul' ),
	'description' => esc_html__( 'Controls the color of links on top bar.', 'healsoul' ),
	'section'     => $section,
	'priority'    => $priority ++,
	'transport'   => 'auto',
	'default'     => '#fff',
	'output'      => array(
		array(
			'element'  => '.top-bar-02 a',
			'property' => 'color',
		),
	),
) );

Healsoul_Kirki::add_field( 'theme', array(
	'type'        => 'color-alpha',
	'settings'    => $prefix . 'link_hover_color',
	'label'       => esc_html__( 'Link Hover Color', 'healsoul' ),
	'description' => esc_html__( 'Controls the color when hover of links on top bar.', 'healsoul' ),
	'section'     => $section,
	'priority'    => $priority ++,
	'transport'   => 'auto',
	'default'     => Healsoul::PRIMARY_COLOR,
	'output'      => array(
		array(
			'element'  => '.top-bar-02 a:hover, .top-bar-02 a:focus',
			'property' => 'color',
		),
	),
) );

Healsoul_Kirki::add_field( 'theme', array(
	'type'        => 'color-alpha',
	'settings'    => $prefix . 'office_drop_down_background_color',
	'label'       => esc_html__( 'Office Dropdown Background', 'healsoul' ),
	'description' => esc_html__( 'Controls the background color of office switcher dropdown.', 'healsoul' ),
	'section'     => $section,
	'priority'    => $priority ++,
	'transport'   => 'auto',
	'default'     => Healsoul::THIRD_COLOR,
	'output'      => array(
		array(
			'element'  => '.top-bar-02 .top-bar-office-wrapper .active',
			'property' => 'background-color',
		),
	),
) );

Healsoul_Kirki::add_field( 'theme', array(
	'type'        => 'color-alpha',
	'settings'    => $prefix . 'office_drop_down_color',
	'label'       => esc_html__( 'Office Dropdown Color', 'healsoul' ),
	'description' => esc_html__( 'Controls the color of office switcher dropdown.', 'healsoul' ),
	'section'     => $section,
	'priority'    => $priority ++,
	'transport'   => 'auto',
	'default'     => '#fff',
	'output'      => array(
		array(
			'element'  => '.top-bar-02 .top-bar-office-wrapper .active',
			'property' => 'color',
		),
	),
) );
