<?php
$section  = 'top_bar_style_06';
$priority = 1;
$prefix   = 'top_bar_style_06_';

Healsoul_Kirki::add_field( 'theme', array(
	'type'      => 'repeater',
	'settings'  => $prefix . 'link_list',
	'label'     => esc_html__( 'Link List', 'healsoul' ),
	'section'   => $section,
	'priority'  => $priority ++,
	'choices'   => array(
		'labels' => array(
			'add-new-row' => esc_html__( 'Add new list item', 'healsoul' ),
		),
	),
	'row_label' => array(
		'type'  => 'field',
		'field' => 'text',
	),
	'default'   => array(
		array(
			'text' => 'New & Media',
			'url'  => '#',
		),
		array(
			'text' => 'Careers',
			'url'  => '#',
		),
		array(
			'text' => 'Contacts',
			'url'  => '#',
		),
	),
	'fields'    => array(
		'text' => array(
			'type'    => 'text',
			'label'   => esc_html__( 'Title', 'healsoul' ),
			'default' => '',
		),
		'url'  => array(
			'type'    => 'text',
			'label'   => esc_html__( 'Link', 'healsoul' ),
			'default' => '',
		),
	),
) );

Healsoul_Kirki::add_field( 'theme', array(
	'type'      => 'repeater',
	'settings'  => $prefix . 'info',
	'label'     => esc_html__( 'Info List', 'healsoul' ),
	'section'   => $section,
	'priority'  => $priority ++,
	'choices'   => array(
		'labels' => array(
			'add-new-row' => esc_html__( 'Add new info', 'healsoul' ),
		),
	),
	'row_label' => array(
		'type'  => 'field',
		'field' => 'text',
	),
	'default'   => array(
		array(
			'text'       => 'hellohealsoul@gmail.com',
			'url'        => 'mailto:hellohealsoul@gmail.com',
			'icon_class' => 'fas fa-envelope',
		),
		array(
			'text'       => 'Mon - Fri: 9:00 - 19:00 / Closed on Weekends',
			'url'        => '',
			'icon_class' => 'fas fa-clock',
		),
	),
	'fields'    => array(
		'text'       => array(
			'type'    => 'text',
			'label'   => esc_html__( 'Title', 'healsoul' ),
			'default' => '',
		),
		'url'        => array(
			'type'    => 'text',
			'label'   => esc_html__( 'Link', 'healsoul' ),
			'default' => '',
		),
		'icon_class' => array(
			'type'    => 'text',
			'label'   => esc_html__( 'Icon Class', 'healsoul' ),
			'default' => '',
		),
	),
) );

Healsoul_Kirki::add_field( 'theme', array(
	'type'        => 'radio-buttonset',
	'settings'    => $prefix . 'language_switcher_enable',
	'label'       => esc_html__( 'Language Switcher', 'healsoul' ),
	'description' => esc_html__( 'Controls the display the language switcher', 'healsoul' ),
	'section'     => $section,
	'priority'    => $priority ++,
	'default'     => '1',
	'choices'     => array(
		'0' => esc_html__( 'Hide', 'healsoul' ),
		'1' => esc_html__( 'Show', 'healsoul' ),
	),
) );

Healsoul_Kirki::add_field( 'theme', array(
	'type'      => 'slider',
	'settings'  => $prefix . 'padding_top',
	'label'     => esc_html__( 'Padding top', 'healsoul' ),
	'section'   => $section,
	'priority'  => $priority ++,
	'default'   => 0,
	'transport' => 'auto',
	'choices'   => array(
		'min'  => 0,
		'max'  => 200,
		'step' => 1,
	),
	'output'    => array(
		array(
			'element'  => '.top-bar-06',
			'property' => 'padding-top',
			'units'    => 'px',
		),
	),
) );

Healsoul_Kirki::add_field( 'theme', array(
	'type'      => 'slider',
	'settings'  => $prefix . 'padding_bottom',
	'label'     => esc_html__( 'Padding bottom', 'healsoul' ),
	'section'   => $section,
	'priority'  => $priority ++,
	'default'   => 0,
	'transport' => 'auto',
	'choices'   => array(
		'min'  => 0,
		'max'  => 200,
		'step' => 1,
	),
	'output'    => array(
		array(
			'element'  => '.top-bar-06',
			'property' => 'padding-bottom',
			'units'    => 'px',
		),
	),
) );

Healsoul_Kirki::add_field( 'theme', array(
	'type'        => 'kirki_typography',
	'settings'    => $prefix . 'typography',
	'label'       => esc_html__( 'Typography', 'healsoul' ),
	'description' => esc_html__( 'These settings control the typography of texts of top bar section.', 'healsoul' ),
	'section'     => $section,
	'priority'    => $priority ++,
	'transport'   => 'auto',
	'default'     => array(
		'font-family'    => '',
		'variant'        => '500',
		'line-height'    => '1.78',
		'letter-spacing' => '0em',
		'text-transform' => 'none',
	),
	'output'      => array(
		array(
			'element' => '
			.top-bar-06,
			.top-bar-06 a',
		),
	),
) );

Healsoul_Kirki::add_field( 'theme', array(
	'type'      => 'slider',
	'settings'  => $prefix . 'font_size',
	'label'     => esc_html__( 'Font size', 'healsoul' ),
	'section'   => $section,
	'priority'  => $priority ++,
	'default'   => 14,
	'transport' => 'auto',
	'choices'   => array(
		'min'  => 10,
		'max'  => 50,
		'step' => 1,
	),
	'output'    => array(
		array(
			'element'  => '.top-bar-06, .top-bar-06 a',
			'property' => 'font-size',
			'units'    => 'px',
		),
	),
) );

Healsoul_Kirki::add_field( 'theme', array(
	'type'        => 'color-alpha',
	'settings'    => $prefix . 'bg_color',
	'label'       => esc_html__( 'Background', 'healsoul' ),
	'description' => esc_html__( 'Controls the background color of top bar.', 'healsoul' ),
	'section'     => $section,
	'priority'    => $priority ++,
	'transport'   => 'auto',
	'default'     => Healsoul::SECONDARY_COLOR,
	'output'      => array(
		array(
			'element'  => '.top-bar-06',
			'property' => 'background-color',
		),
	),
) );

Healsoul_Kirki::add_field( 'theme', array(
	'type'      => 'slider',
	'settings'  => $prefix . 'border_width',
	'label'     => esc_html__( 'Border Bottom Width', 'healsoul' ),
	'section'   => $section,
	'priority'  => $priority ++,
	'default'   => 0,
	'transport' => 'auto',
	'choices'   => array(
		'min'  => 0,
		'max'  => 50,
		'step' => 1,
	),
	'output'    => array(
		array(
			'element'  => '.top-bar-06',
			'property' => 'border-bottom-width',
			'units'    => 'px',
		),
	),
) );

Healsoul_Kirki::add_field( 'theme', array(
	'type'        => 'color-alpha',
	'settings'    => $prefix . 'border_color',
	'label'       => esc_html__( 'Border Bottom Color', 'healsoul' ),
	'description' => esc_html__( 'Controls the border bottom color of top bar.', 'healsoul' ),
	'section'     => $section,
	'priority'    => $priority ++,
	'transport'   => 'auto',
	'output'      => array(
		array(
			'element'  => '.top-bar-06',
			'property' => 'border-bottom-color',
		),
	),
) );

Healsoul_Kirki::add_field( 'theme', array(
	'type'        => 'color',
	'settings'    => $prefix . 'text_color',
	'label'       => esc_html__( 'Text', 'healsoul' ),
	'description' => esc_html__( 'Controls the color of text on top bar.', 'healsoul' ),
	'section'     => $section,
	'priority'    => $priority ++,
	'transport'   => 'auto',
	'default'     => '#fff',
	'output'      => array(
		array(
			'element'  => '.top-bar-06',
			'property' => 'color',
		),
	),
) );

Healsoul_Kirki::add_field( 'theme', array(
	'type'        => 'color',
	'settings'    => $prefix . 'link_color',
	'label'       => esc_html__( 'Link Color', 'healsoul' ),
	'description' => esc_html__( 'Controls the color of links on top bar.', 'healsoul' ),
	'section'     => $section,
	'priority'    => $priority ++,
	'transport'   => 'auto',
	'default'     => '#fff',
	'output'      => array(
		array(
			'element'  => '.top-bar-06 a, .top-bar-06 .tm-button.style-text',
			'property' => 'color',
		),
	),
) );

Healsoul_Kirki::add_field( 'theme', array(
	'type'        => 'color',
	'settings'    => $prefix . 'link_hover_color',
	'label'       => esc_html__( 'Link Hover Color', 'healsoul' ),
	'description' => esc_html__( 'Controls the color when hover of links on top bar.', 'healsoul' ),
	'section'     => $section,
	'priority'    => $priority ++,
	'transport'   => 'auto',
	'default'     => Healsoul::PRIMARY_COLOR,
	'output'      => array(
		array(
			'element'  => '
			.top-bar-06 a:hover,
			.top-bar-06 a:focus,
			.top-bar-06 .tm-button.style-text:hover,
			.top-bar-06 .tm-button.style-text .button-icon',
			'property' => 'color',
		),
	),
) );
