<?php
// Exit if accessed directly.
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Plugin installation and activation for WordPress themes
 */
if ( ! class_exists( 'Healsoul_Register_Plugins' ) ) {
	class Healsoul_Register_Plugins {

		public function __construct() {
			add_filter( 'insight_core_tgm_plugins', array( $this, 'register_required_plugins' ) );
		}

		public function register_required_plugins() {
			/*
			 * Array of plugin arrays. Required keys are name and slug.
			 * If the source is NOT from the .org repo, then source is also required.
			 */
			$plugins = array(
				array(
					'name'     => esc_html__( 'Insight Core', 'healsoul' ),
					'slug'     => 'insight-core',
					'source'   => 'https://www.dropbox.com/s/u4o8qjg3pzk26xz/insight-core-2.6.4.zip?dl=1',
					'version'  => '2.6.4',
					'required' => true,
				),
				array(
					'name'     => esc_html__( 'WPBakery Page Builder', 'healsoul' ),
					'slug'     => 'js_composer',
					'source'   => 'https://www.dropbox.com/s/7utcsleclvllk7w/js_composer-6.13.0.zip?dl=1',
					'version'  => '6.13.0',
					'required' => true,
				),
				array(
					'name'     => esc_html__( 'WPBakery Page Builder (Visual Composer) Clipboard', 'healsoul' ),
					'slug'     => 'vc_clipboard',
					'source'   => 'https://www.googleapis.com/drive/v3/files/1fvaqD_UY7pe3Zwz_cUMGmsyIA6Xx_l9d?alt=media&key=AIzaSyBQsxIg32Eg17Ic0tmRvv1tBZYrT9exCwk',
					'version'  => '5.0.3',
					'required' => false,
				),
				array(
					'name'     => esc_html__( 'Booked', 'healsoul' ),
					'slug'     => 'booked',
					'source'   => 'https://www.dropbox.com/s/vyoqpkpm1mla55q/booked-2.4.3.zip?dl=1',
					'version'  => '2.4.3',
					'required' => false,
				),
				array(
					'name'     => esc_html__( 'Contact Form 7', 'healsoul' ),
					'slug'     => 'contact-form-7',
					'required' => false,
				),
				array(
					'name'     => esc_html__( 'MailChimp for WordPress', 'healsoul' ),
					'slug'     => 'mailchimp-for-wp',
					'required' => false,
				),
				array(
					'name' => esc_html__( 'WooCommerce', 'healsoul' ),
					'slug' => 'woocommerce',
				),
				array(
					'name'     => esc_html__( 'WooCommerce Smart Quick View', 'healsoul' ),
					'slug'     => 'woo-smart-quick-view',
					'required' => false,
				),
				array(
					'name' => esc_html__( 'WPC Smart Compare for WooCommerce', 'healsoul' ),
					'slug' => 'woo-smart-compare',
				),
				array(
					'name' => esc_html__( 'WPC Smart Wishlist for WooCommerce', 'healsoul' ),
					'slug' => 'woo-smart-wishlist',
				),
				array(
					'name'     => esc_html__( 'Revolution Slider', 'healsoul' ),
					'slug'     => 'revslider',
					'source'   => 'https://www.dropbox.com/s/333r5pwczghhj4j/revslider-6.6.13.zip?dl=1',
					'version'  => '6.6.13',
					'required' => true,
				),
				array(
					'name'    => esc_html__( 'Instagram Feed', 'healsoul' ),
					'slug'    => 'elfsight-instagram-feed-cc',
					'source'  => 'https://www.googleapis.com/drive/v3/files/10WhiFcWGxtWM7RADSdIl_9QQqGVTLLhK?alt=media&key=AIzaSyBQsxIg32Eg17Ic0tmRvv1tBZYrT9exCwk',
					'version' => '4.0.3',
				),
			);

			return $plugins;
		}

	}

	new Healsoul_Register_Plugins();
}
