<?php
// Exit if accessed directly.
if (!defined('ABSPATH')) {
	exit;
}

if (!class_exists('Healsoul_VC_Icon_Icomoon2')) {
	class Healsoul_VC_Icon_Icomoon2
	{

		public function __construct()
		{
			/*
			 * Add styles & script file only on add new or edit post type.
			 */
			add_action('load-post.php', array($this, 'enqueue_scripts'));
			add_action('load-post-new.php', array($this, 'enqueue_scripts'));

			add_filter('vc_iconpicker-type-icomoon2', array($this, 'add_fonts'));

			add_filter('healsoul_vc_icon_libraries', array($this, 'add_to_libraries'));
			add_filter('healsoul_vc_icon_libraries_fields', array($this, 'add_icon_picker_field'), 10, 2);

			add_action('vc_enqueue_font_icon_element', array($this, 'vc_element_enqueue'));
		}

		public function add_to_libraries($list)
		{
			$list = $list + array(esc_html__('Icomoon2', 'healsoul') => 'icomoon2');

			return $list;
		}

		public function add_icon_picker_field($fields, $args)
		{
			$fields[] = array(
				'type' => 'iconpicker',
				'heading' => esc_html__('Icon', 'healsoul'),
				'param_name' => 'icon_icomoon2',
				'value' => 'icon-2-blood-clot',
				'settings' => array(
					'emptyIcon' => true,
					'type' => 'icomoon2',
					'iconsPerPage' => 100,
				),
				'dependency' => array(
					'element' => $args['param_name'],
					'value' => 'icomoon2',
				),
				'description' => esc_html__('Select icon from library.', 'healsoul'),
			);

			return $fields;
		}


		public function vc_element_enqueue($font)
		{
			switch ($font) {
				case 'icomoon2':
					wp_enqueue_style('font-icomoon2');
					break;
			}
		}

		public function enqueue_scripts()
		{
			add_action('admin_enqueue_scripts', array($this, 'admin_enqueue_scripts'));
		}

		function admin_enqueue_scripts()
		{
			wp_enqueue_style('font-icomoon2', HEALSOUL_THEME_URI . '/assets/fonts/icomoon2/font-icomoon2.css', null, null);
		}

		public function add_fonts($icons)
		{
			$new_icons = array(
				array('icon-2-blood-clot' => 'blood-clot'),
				array('icon-2-clogged-arteries' => 'clogged-arteries'),
				array('icon-2-kidneys' => 'kidneys'),
				array('icon-2-knee-stiffness' => 'knee-stiffness'),
				array('icon-2-liver' => 'liver'),
				array('icon-2-muscule' => 'muscule'),
				array('icon-2-pelvic-congestion' => 'pelvic-congestion'),
				array('icon-2-prostate' => 'prostate'),
				array('icon-2-spleen' => 'spleen'),
				array('icon-2-stomach' => 'stomach'),
				array('icon-2-thyroid' => 'thyroid'),
				array('icon-2-uterus' => 'uterus'),
				array('icon-2-vascular' => 'vascular'),
				array('icon-2-veins' => 'veins'),
			);

			return array_merge($icons, $new_icons);
		}
	}

	new Healsoul_VC_Icon_Icomoon2();
}
