<?php
/**
 * Define constant
 */
$theme = wp_get_theme();

if ( ! empty( $theme['Template'] ) ) {
	$theme = wp_get_theme( $theme['Template'] );
}

if ( ! defined( 'DS' ) ) {
	define( 'DS', DIRECTORY_SEPARATOR );
}

define( 'HEALSOUL_THEME_NAME', $theme['Name'] );
define( 'HEALSOUL_THEME_VERSION', $theme['Version'] );
define( 'HEALSOUL_THEME_DIR', get_template_directory() );
define( 'HEALSOUL_THEME_URI', get_template_directory_uri() );
define( 'HEALSOUL_THEME_IMAGE_DIR', get_template_directory() . DS . 'assets' . DS . 'images' );
define( 'HEALSOUL_THEME_IMAGE_URI', get_template_directory_uri() . DS . 'assets' . DS . 'images' );
define( 'HEALSOUL_CHILD_THEME_URI', get_stylesheet_directory_uri() );
define( 'HEALSOUL_CHILD_THEME_DIR', get_stylesheet_directory() );
define( 'HEALSOUL_FRAMEWORK_DIR', get_template_directory() . DS . 'framework' );
define( 'HEALSOUL_CUSTOMIZER_DIR', HEALSOUL_THEME_DIR . DS . 'customizer' );
define( 'HEALSOUL_WIDGETS_DIR', HEALSOUL_THEME_DIR . DS . 'widgets' );
define( 'HEALSOUL_VC_MAPS_DIR', HEALSOUL_THEME_DIR . DS . 'vc-extend' . DS . 'vc-maps' );
define( 'HEALSOUL_VC_PARAMS_DIR', HEALSOUL_THEME_DIR . DS . 'vc-extend' . DS . 'vc-params' );
define( 'HEALSOUL_VC_SHORTCODE_CATEGORY', esc_html__( 'By', 'healsoul' ) . ' ' . HEALSOUL_THEME_NAME );
define( 'HEALSOUL_PROTOCOL', is_ssl() ? 'https' : 'http' );

require_once HEALSOUL_FRAMEWORK_DIR . '/class-static.php';

$files = array(
	HEALSOUL_FRAMEWORK_DIR . '/class-init.php',
	HEALSOUL_FRAMEWORK_DIR . '/class-global.php',
	HEALSOUL_FRAMEWORK_DIR . '/class-actions-filters.php',
	HEALSOUL_FRAMEWORK_DIR . '/class-admin.php',
	HEALSOUL_FRAMEWORK_DIR . '/class-customize.php',
	HEALSOUL_FRAMEWORK_DIR . '/class-enqueue.php',
	HEALSOUL_FRAMEWORK_DIR . '/class-functions.php',
	HEALSOUL_FRAMEWORK_DIR . '/class-helper.php',
	HEALSOUL_FRAMEWORK_DIR . '/class-color.php',
	HEALSOUL_FRAMEWORK_DIR . '/class-import.php',
	HEALSOUL_FRAMEWORK_DIR . '/class-kirki.php',
	HEALSOUL_FRAMEWORK_DIR . '/class-metabox.php',
	HEALSOUL_FRAMEWORK_DIR . '/class-plugins.php',
	HEALSOUL_FRAMEWORK_DIR . '/class-query.php',
	HEALSOUL_FRAMEWORK_DIR . '/class-custom-css.php',
	HEALSOUL_FRAMEWORK_DIR . '/class-templates.php',
	HEALSOUL_FRAMEWORK_DIR . '/class-aqua-resizer.php',
	HEALSOUL_FRAMEWORK_DIR . '/class-visual-composer.php',
	HEALSOUL_FRAMEWORK_DIR . '/class-vc-icon-fontawesome5.php',
	HEALSOUL_FRAMEWORK_DIR . '/class-vc-icon-flaticon.php',
	HEALSOUL_FRAMEWORK_DIR . '/class-vc-icon-healsoul.php',
	HEALSOUL_FRAMEWORK_DIR . '/class-vc-icon-ion.php',
	HEALSOUL_FRAMEWORK_DIR . '/class-vc-icon-icomoon.php',
	HEALSOUL_FRAMEWORK_DIR . '/class-vc-icon-icomoon2.php',
	HEALSOUL_FRAMEWORK_DIR . '/class-vc-icon-themify.php',
	HEALSOUL_FRAMEWORK_DIR . '/class-vc-icon-linea.php',
	HEALSOUL_FRAMEWORK_DIR . '/class-walker-nav-menu.php',
	HEALSOUL_FRAMEWORK_DIR . '/class-widget.php',
	HEALSOUL_FRAMEWORK_DIR . '/class-widgets.php',
	HEALSOUL_FRAMEWORK_DIR . '/class-footer.php',
	HEALSOUL_FRAMEWORK_DIR . '/class-post-type-blog.php',
	HEALSOUL_FRAMEWORK_DIR . '/class-post-type-service.php',
	HEALSOUL_FRAMEWORK_DIR . '/class-post-type-case_study.php',
	HEALSOUL_FRAMEWORK_DIR . '/class-posttypes.php',
	HEALSOUL_FRAMEWORK_DIR . '/class-woo.php',
	HEALSOUL_FRAMEWORK_DIR . '/tgm-plugin-activation.php',
	HEALSOUL_FRAMEWORK_DIR . '/tgm-plugin-registration.php',
);

/**
 * Load Framework.
 */
Healsoul::require_files( $files );

/**
 * Init the theme
 */
Healsoul_Init::instance();

add_action( 'init', 'get_config_xml', 9999 );
function get_config_xml() {

	$a = Healsoul_Kirki::instance()->get_key_string_wpml_config();

	Healsoul_Helper::d( $a );
}

/**
 * Admin notice waning minimum plugin version required.
 *
 * @param $plugin_name
 * @param $plugin_version
 */
function healsoul_notice_required_plugin_version( $plugin_name, $plugin_version ) {
	if ( isset( $_GET['activate'] ) ) {
		unset( $_GET['activate'] );
	}

	$message = sprintf(
		esc_html__( '%1$s requires %2$s plugin version %3$s or greater!', 'healsoul' ),
		'<strong>' . HEALSOUL_THEME_NAME . '</strong>',
		'<strong>' . $plugin_name . '</strong>',
		$plugin_version
	);

	printf( '<div class="notice notice-warning is-dismissible"><p>%1$s</p></div>', $message );
}
