<?php

class WPBakeryShortCode_TM_Button extends WPBakeryShortCode {

	public function get_inline_css( $selector, $atts ) {
		global $healsoul_shortcode_lg_css;
		global $healsoul_shortcode_md_css;
		global $healsoul_shortcode_sm_css;
		global $healsoul_shortcode_xs_css;

		$wrapper_tmp     = '';
		$button_tmp      = $button_hover_tmp = '';
		$button_icon_tmp = $button_hover_icon_tmp = '';

		if ( $atts['align'] !== '' ) {
			$wrapper_tmp .= "text-align: {$atts['align']};";
		}

		if ( $atts['md_align'] !== '' ) {
			$healsoul_shortcode_md_css .= "$selector { text-align: {$atts['md_align']} }";
		}

		if ( $atts['sm_align'] !== '' ) {
			$healsoul_shortcode_sm_css .= "$selector { text-align: {$atts['sm_align']} }";
		}

		if ( $atts['xs_align'] !== '' ) {
			$healsoul_shortcode_xs_css .= "$selector { text-align: {$atts['xs_align']} }";
		}

		if ( $atts['rounded'] !== '' ) {
			$button_tmp .= Healsoul_Helper::get_css_prefix( 'border-radius', $atts['rounded'] );
		}

		if ( $atts['size'] === 'custom' ) {
			if ( $atts['width'] !== '' ) {
				$button_tmp .= "min-width: {$atts['width']}px;";
			}

			if ( $atts['border_width'] !== '' ) {
				$button_tmp .= "border-width: {$atts['border_width']}px;";
			}

			if ( $atts['height'] !== '' ) {
				$button_tmp   .= "min-height: {$atts['height']}px;";
				$_line_height = $atts['height'];
				if ( $atts['border_width'] !== '' ) {
					$_line_height = $_line_height - ( $atts['border_width'] * 2 );
				}

				$button_tmp .= "line-height: {$_line_height}px;";
			}
		}

		if ( isset( $atts['icon_font_size'] ) ) {
			Healsoul_VC::get_responsive_css( array(
				'element' => "$selector .button-icon",
				'atts'    => array(
					'font-size' => array(
						'media_str' => $atts['icon_font_size'],
						'unit'      => 'px',
					),
				),
			) );
		}

		if ( isset( $atts['text_font_size'] ) ) {
			Healsoul_VC::get_responsive_css( array(
				'element' => "$selector .button-text",
				'atts'    => array(
					'font-size' => array(
						'media_str' => $atts['text_font_size'],
						'unit'      => 'px',
					),
				),
			) );
		}

		$font_color       = $border_color = $bg_color = '';
		$font_hover_color = $border_hover_color = $bg_hover_color = '';
		$icon_color       = $icon_hover_color = '';

		if ( $atts['color'] === 'custom' ) {


			$font_color         .= Healsoul_Helper::get_shortcode_css_color_inherit( 'color', $atts['font_color'], $atts['custom_font_color'] );
			$border_color       .= Healsoul_Helper::get_shortcode_css_color_inherit( 'border-color', $atts['button_border_color'], $atts['custom_button_border_color'] );
			$bg_color           .= Healsoul_Helper::get_shortcode_css_color_inherit( 'background-color', $atts['button_bg_color'], $atts['custom_button_bg_color'] );
			$font_hover_color   .= Healsoul_Helper::get_shortcode_css_color_inherit( 'color', $atts['font_color_hover'], $atts['custom_font_color_hover'] );
			$border_hover_color .= Healsoul_Helper::get_shortcode_css_color_inherit( 'border-color', $atts['button_border_color_hover'], $atts['custom_button_border_color_hover'] );
			$bg_hover_color     .= Healsoul_Helper::get_shortcode_css_color_inherit( 'background-color', $atts['button_bg_color_hover'], $atts['custom_button_bg_color_hover'] );
			$icon_color         .= Healsoul_Helper::get_shortcode_css_color_inherit( 'color', $atts['button_icon_color'], $atts['custom_button_icon_color'] );
			$icon_hover_color   .= Healsoul_Helper::get_shortcode_css_color_inherit( 'color', $atts['button_icon_color_hover'], $atts['custom_button_icon_color_hover'] );

			$button_tmp            .= $font_color . $border_color . $bg_color;
			$button_hover_tmp      .= $font_hover_color . $border_hover_color . $bg_hover_color;
			$button_icon_tmp       .= $icon_color;
			$button_hover_icon_tmp .= $icon_hover_color;
		}

		if ( $wrapper_tmp !== '' ) {
			$healsoul_shortcode_lg_css .= "$selector { $wrapper_tmp }";
		}

		if ( $button_tmp !== '' ) {
			if ( $atts['style'] === 'border-text' ) {
				$healsoul_shortcode_lg_css .= "$selector .tm-button { $font_color }";
				$healsoul_shortcode_lg_css .= "$selector .tm-button:before { $bg_color }";
				$healsoul_shortcode_lg_css .= "$selector .tm-button .button-icon { $icon_color }";
			} else {
				$healsoul_shortcode_lg_css .= "$selector .tm-button { $button_tmp }";
			}
		}

		if ( $button_hover_tmp !== '' ) {
			if ( $atts['style'] === 'text' ) {
				$healsoul_shortcode_lg_css .= "$selector .tm-button:hover span { $button_hover_tmp }";
			} elseif ( $atts['style'] === 'modern' ) {
				$healsoul_shortcode_lg_css .= "$selector .tm-button:after { $bg_hover_color }";

				$healsoul_shortcode_lg_css .= "$selector .tm-button:hover {{$font_hover_color} {$border_hover_color}}";
			} elseif ( $atts['style'] === 'border-text' ) {
				$healsoul_shortcode_lg_css .= "$selector .tm-button:hover { $font_hover_color }";
				$healsoul_shortcode_lg_css .= "$selector .tm-button:after { $bg_hover_color }";
				$healsoul_shortcode_lg_css .= "$selector .tm-button:hover .button-icon { $icon_hover_color }";
			} else {
				$healsoul_shortcode_lg_css .= "$selector .tm-button:hover { $button_hover_tmp }";
			}
		}

		if ( $button_icon_tmp !== '' ) {
			$healsoul_shortcode_lg_css .= "$selector .tm-button .button-icon { $button_icon_tmp }";
		}

		if ( $button_hover_icon_tmp !== '' ) {
			$healsoul_shortcode_lg_css .= "$selector .tm-button:hover .button-icon { $button_hover_icon_tmp }";
		}

		Healsoul_VC::get_vc_spacing_css( $selector, $atts );
	}
}

$styling_tab = esc_html__( 'Styling', 'healsoul' );

vc_map( array(
	'name'     => esc_html__( 'Button', 'healsoul' ),
	'base'     => 'tm_button',
	'category' => HEALSOUL_VC_SHORTCODE_CATEGORY,
	'icon'     => 'insight-i insight-i-button',
	'params'   => array_merge( array(
		array(
			'heading'     => esc_html__( 'Style', 'healsoul' ),
			'type'        => 'dropdown',
			'param_name'  => 'style',
			'admin_label' => true,
			'value'       => array(
				esc_html__( 'Flat', 'healsoul' )        => 'flat',
				esc_html__( 'Outline', 'healsoul' )     => 'outline',
				esc_html__( 'Text', 'healsoul' )        => 'text',
				esc_html__( 'Border Text', 'healsoul' ) => 'border-text',
				esc_html__( 'Image Text', 'healsoul' )  => 'image-text',
				esc_html__( 'Modern', 'healsoul' )      => 'modern',
			),
			'std'         => 'flat',
		),
		array(
			'heading'    => esc_html__( 'Image', 'healsoul' ),
			'type'       => 'attach_image',
			'param_name' => 'image',
			'dependency' => array( 'element' => 'style', 'value' => 'image-text' ),
		),
		array(
			'heading'     => esc_html__( 'Size', 'healsoul' ),
			'type'        => 'dropdown',
			'param_name'  => 'size',
			'admin_label' => true,
			'value'       => array(
				esc_html__( 'Large', 'healsoul' )       => 'lg',
				esc_html__( 'Normal', 'healsoul' )      => 'nm',
				esc_html__( 'Small', 'healsoul' )       => 'sm',
				esc_html__( 'Extra Small', 'healsoul' ) => 'xs',
				esc_html__( 'Custom', 'healsoul' )      => 'custom',
			),
			'std'         => 'nm',
		),
		array(
			'heading'     => esc_html__( 'Width', 'healsoul' ),
			'description' => esc_html__( 'Controls the width of button.', 'healsoul' ),
			'type'        => 'number',
			'suffix'      => 'px',
			'param_name'  => 'width',
			'dependency'  => array( 'element' => 'size', 'value' => 'custom' ),
		),
		array(
			'heading'     => esc_html__( 'Height', 'healsoul' ),
			'description' => esc_html__( 'Controls the height of button.', 'healsoul' ),
			'type'        => 'number',
			'suffix'      => 'px',
			'param_name'  => 'height',
			'dependency'  => array( 'element' => 'size', 'value' => 'custom' ),
		),
		array(
			'heading'     => esc_html__( 'Border Width', 'healsoul' ),
			'description' => esc_html__( 'Controls the border width of button.', 'healsoul' ),
			'type'        => 'number',
			'suffix'      => 'px',
			'param_name'  => 'border_width',
			'dependency'  => array( 'element' => 'size', 'value' => 'custom' ),
		),
		array(
			'heading'     => esc_html__( 'Force Full Width', 'healsoul' ),
			'description' => esc_html__( 'Make button full wide.', 'healsoul' ),
			'type'        => 'checkbox',
			'param_name'  => 'full_wide',
			'value'       => array( esc_html__( 'Yes', 'healsoul' ) => '1' ),
		),
		array(
			'heading'     => esc_html__( 'Rounded', 'healsoul' ),
			'type'        => 'textfield',
			'param_name'  => 'rounded',
			'description' => esc_html__( 'Input a valid radius, e.g 10px. Leave blank to use default.', 'healsoul' ),
		),
		array(
			'heading'    => esc_html__( 'Link', 'healsoul' ),
			'type'       => 'vc_link',
			'param_name' => 'button',
		),
		array(
			'group'      => esc_html__( 'Icon', 'healsoul' ),
			'heading'    => esc_html__( 'Icon align', 'healsoul' ),
			'type'       => 'dropdown',
			'param_name' => 'icon_align',
			'value'      => array(
				esc_html__( 'Left', 'healsoul' )  => 'left',
				esc_html__( 'Right', 'healsoul' ) => 'right',
			),
			'std'        => 'right',
		),
		array(
			'heading'     => esc_html__( 'Button Action', 'healsoul' ),
			'description' => esc_html__( 'To make smooth scroll action work then input button url like this: #about-us-section. )', 'healsoul' ),
			'type'        => 'dropdown',
			'param_name'  => 'action',
			'admin_label' => true,
			'value'       => array(
				esc_html__( 'Default', 'healsoul' )                    => '',
				esc_html__( 'Smooth scroll to a section', 'healsoul' ) => 'smooth_scroll',
				esc_html__( 'Open link as popup video', 'healsoul' )   => 'popup_video',

			),
			'std'         => '',
		),
		array(
			'heading'     => esc_html__( 'Hover Animation', 'healsoul' ),
			'type'        => 'dropdown',
			'param_name'  => 'hover_animation',
			'admin_label' => true,
			'value'       => array(
				esc_html__( 'Default', 'healsoul' )   => '',
				esc_html__( 'Icon Move', 'healsoul' ) => 'icon-move',
				esc_html__( 'Move Up', 'healsoul' )   => 'move-up',
			),
			'std'         => '',
		),
	), Healsoul_VC::get_alignment_fields(), array(
		Healsoul_VC::get_animation_field(),
		Healsoul_VC::extra_class_field(),
		Healsoul_VC::extra_id_field(),
	), Healsoul_VC::icon_libraries( array(
		'allow_none' => true,
	) ), array(
		array(
			'group'       => $styling_tab,
			'heading'     => esc_html__( 'Icon Font Size', 'healsoul' ),
			'type'        => 'number_responsive',
			'param_name'  => 'icon_font_size',
			'min'         => 8,
			'suffix'      => 'px',
			'media_query' => array(
				'lg' => '',
				'md' => '',
				'sm' => '',
				'xs' => '',
			),
		),
		array(
			'group'       => $styling_tab,
			'heading'     => esc_html__( 'Text Font Size', 'healsoul' ),
			'type'        => 'number_responsive',
			'param_name'  => 'text_font_size',
			'min'         => 8,
			'suffix'      => 'px',
			'media_query' => array(
				'lg' => '',
				'md' => '',
				'sm' => '',
				'xs' => '',
			),
		),
		array(
			'group'       => $styling_tab,
			'type'        => 'dropdown',
			'heading'     => esc_html__( 'Color', 'healsoul' ),
			'param_name'  => 'color',
			'admin_label' => true,
			'value'       => array(
				esc_html__( 'Primary', 'healsoul' )   => 'primary',
				esc_html__( 'Secondary', 'healsoul' ) => 'secondary',
				esc_html__( 'Third', 'healsoul' )     => 'third',
				esc_html__( 'Grey', 'healsoul' )      => 'grey',
				esc_html__( 'Custom', 'healsoul' )    => 'custom',
			),
			'std'         => 'primary',
		),
		array(
			'group'            => $styling_tab,
			'type'             => 'dropdown',
			'heading'          => esc_html__( 'Background color', 'healsoul' ),
			'param_name'       => 'button_bg_color',
			'value'            => array(
				esc_html__( 'Default', 'healsoul' )     => '',
				esc_html__( 'Primary', 'healsoul' )     => 'primary',
				esc_html__( 'Secondary', 'healsoul' )   => 'secondary',
				esc_html__( 'Third', 'healsoul' )       => 'third',
				esc_html__( 'Transparent', 'healsoul' ) => 'transparent',
				esc_html__( 'Custom', 'healsoul' )      => 'custom',
			),
			'std'              => 'default',
			'dependency'       => array(
				'element' => 'color',
				'value'   => 'custom',
			),
			'edit_field_class' => 'vc_col-sm-6 col-break',
		),
		array(
			'group'            => $styling_tab,
			'type'             => 'colorpicker',
			'heading'          => esc_html__( 'Custom background color', 'healsoul' ),
			'param_name'       => 'custom_button_bg_color',
			'dependency'       => array(
				'element' => 'button_bg_color',
				'value'   => 'custom',
			),
			'edit_field_class' => 'vc_col-sm-6',
		),
		array(
			'group'            => $styling_tab,
			'type'             => 'dropdown',
			'heading'          => esc_html__( 'Text color', 'healsoul' ),
			'param_name'       => 'font_color',
			'value'            => array(
				esc_html__( 'Default', 'healsoul' )   => '',
				esc_html__( 'Primary', 'healsoul' )   => 'primary',
				esc_html__( 'Secondary', 'healsoul' ) => 'secondary',
				esc_html__( 'Third', 'healsoul' )     => 'third',
				esc_html__( 'Custom', 'healsoul' )    => 'custom',
			),
			'std'              => 'default',
			'dependency'       => array(
				'element' => 'color',
				'value'   => 'custom',
			),
			'edit_field_class' => 'vc_col-sm-6 col-break',
		),
		array(
			'group'            => $styling_tab,
			'type'             => 'colorpicker',
			'heading'          => esc_html__( 'Custom text color', 'healsoul' ),
			'param_name'       => 'custom_font_color',
			'dependency'       => array(
				'element' => 'font_color',
				'value'   => 'custom',
			),
			'edit_field_class' => 'vc_col-sm-6',
		),
		array(
			'group'            => $styling_tab,
			'type'             => 'dropdown',
			'heading'          => esc_html__( 'Border color', 'healsoul' ),
			'param_name'       => 'button_border_color',
			'value'            => array(
				esc_html__( 'Default', 'healsoul' )   => '',
				esc_html__( 'Primary', 'healsoul' )   => 'primary',
				esc_html__( 'Secondary', 'healsoul' ) => 'secondary',
				esc_html__( 'Third', 'healsoul' )     => 'third',
				esc_html__( 'Custom', 'healsoul' )    => 'custom',
			),
			'std'              => 'default',
			'dependency'       => array(
				'element' => 'color',
				'value'   => 'custom',
			),
			'edit_field_class' => 'vc_col-sm-6 col-break',
		),
		array(
			'group'            => $styling_tab,
			'type'             => 'colorpicker',
			'heading'          => esc_html__( 'Custom Border color', 'healsoul' ),
			'param_name'       => 'custom_button_border_color',
			'dependency'       => array(
				'element' => 'button_border_color',
				'value'   => 'custom',
			),
			'edit_field_class' => 'vc_col-sm-6',
		),
		array(
			'group'            => $styling_tab,
			'type'             => 'dropdown',
			'heading'          => esc_html__( 'Icon color', 'healsoul' ),
			'param_name'       => 'button_icon_color',
			'value'            => array(
				esc_html__( 'Default', 'healsoul' )   => '',
				esc_html__( 'Primary', 'healsoul' )   => 'primary',
				esc_html__( 'Secondary', 'healsoul' ) => 'secondary',
				esc_html__( 'Third', 'healsoul' )     => 'third',
				esc_html__( 'Custom', 'healsoul' )    => 'custom',
			),
			'std'              => 'default',
			'dependency'       => array(
				'element' => 'color',
				'value'   => 'custom',
			),
			'edit_field_class' => 'vc_col-sm-6 col-break',
		),
		array(
			'group'            => $styling_tab,
			'type'             => 'colorpicker',
			'heading'          => esc_html__( 'Custom Icon color', 'healsoul' ),
			'param_name'       => 'custom_button_icon_color',
			'dependency'       => array(
				'element' => 'button_icon_color',
				'value'   => 'custom',
			),
			'edit_field_class' => 'vc_col-sm-6',
		),
		array(
			'group'            => $styling_tab,
			'type'             => 'dropdown',
			'heading'          => esc_html__( 'Background color (on hover)', 'healsoul' ),
			'param_name'       => 'button_bg_color_hover',
			'value'            => array(
				esc_html__( 'Default', 'healsoul' )     => '',
				esc_html__( 'Primary', 'healsoul' )     => 'primary',
				esc_html__( 'Secondary', 'healsoul' )   => 'secondary',
				esc_html__( 'Third', 'healsoul' )       => 'third',
				esc_html__( 'Transparent', 'healsoul' ) => 'transparent',
				esc_html__( 'Custom', 'healsoul' )      => 'custom',
			),
			'std'              => 'default',
			'dependency'       => array(
				'element' => 'color',
				'value'   => 'custom',
			),
			'edit_field_class' => 'vc_col-sm-6 col-break',
		),
		array(
			'group'            => $styling_tab,
			'type'             => 'colorpicker',
			'heading'          => esc_html__( 'Custom background color (on hover)', 'healsoul' ),
			'param_name'       => 'custom_button_bg_color_hover',
			'dependency'       => array(
				'element' => 'button_bg_color_hover',
				'value'   => 'custom',
			),
			'edit_field_class' => 'vc_col-sm-6',
		),
		array(
			'group'            => $styling_tab,
			'type'             => 'dropdown',
			'heading'          => esc_html__( 'Text color (on hover)', 'healsoul' ),
			'param_name'       => 'font_color_hover',
			'value'            => array(
				esc_html__( 'Default', 'healsoul' )   => '',
				esc_html__( 'Primary', 'healsoul' )   => 'primary',
				esc_html__( 'Secondary', 'healsoul' ) => 'secondary',
				esc_html__( 'Third', 'healsoul' )     => 'third',
				esc_html__( 'Custom', 'healsoul' )    => 'custom',
			),
			'std'              => 'default',
			'dependency'       => array(
				'element' => 'color',
				'value'   => 'custom',
			),
			'edit_field_class' => 'vc_col-sm-6 col-break',
		),
		array(
			'group'            => $styling_tab,
			'type'             => 'colorpicker',
			'heading'          => esc_html__( 'Custom Text color (on hover)', 'healsoul' ),
			'param_name'       => 'custom_font_color_hover',
			'dependency'       => array(
				'element' => 'font_color_hover',
				'value'   => 'custom',
			),
			'edit_field_class' => 'vc_col-sm-6',
		),
		array(
			'group'            => $styling_tab,
			'type'             => 'dropdown',
			'heading'          => esc_html__( 'Border color (on hover)', 'healsoul' ),
			'param_name'       => 'button_border_color_hover',
			'value'            => array(
				esc_html__( 'Default', 'healsoul' )   => '',
				esc_html__( 'Primary', 'healsoul' )   => 'primary',
				esc_html__( 'Secondary', 'healsoul' ) => 'secondary',
				esc_html__( 'Third', 'healsoul' )     => 'third',
				esc_html__( 'Custom', 'healsoul' )    => 'custom',
			),
			'std'              => 'default',
			'dependency'       => array(
				'element' => 'color',
				'value'   => 'custom',
			),
			'edit_field_class' => 'vc_col-sm-6 col-break',
		),
		array(
			'group'            => $styling_tab,
			'type'             => 'colorpicker',
			'heading'          => esc_html__( 'Custom Border color (on hover)', 'healsoul' ),
			'param_name'       => 'custom_button_border_color_hover',
			'dependency'       => array(
				'element' => 'button_border_color_hover',
				'value'   => 'custom',
			),
			'edit_field_class' => 'vc_col-sm-6',
		),
		array(
			'group'            => $styling_tab,
			'type'             => 'dropdown',
			'heading'          => esc_html__( 'Icon color (on hover)', 'healsoul' ),
			'param_name'       => 'button_icon_color_hover',
			'value'            => array(
				esc_html__( 'Default', 'healsoul' )   => '',
				esc_html__( 'Primary', 'healsoul' )   => 'primary',
				esc_html__( 'Secondary', 'healsoul' ) => 'secondary',
				esc_html__( 'Third', 'healsoul' )     => 'third',
				esc_html__( 'Custom', 'healsoul' )    => 'custom',
			),
			'std'              => 'default',
			'dependency'       => array(
				'element' => 'color',
				'value'   => 'custom',
			),
			'edit_field_class' => 'vc_col-sm-6 col-break',
		),
		array(
			'group'            => $styling_tab,
			'type'             => 'colorpicker',
			'heading'          => esc_html__( 'Custom Icon color (on hover)', 'healsoul' ),
			'param_name'       => 'custom_button_icon_color_hover',
			'dependency'       => array(
				'element' => 'button_icon_color_hover',
				'value'   => 'custom',
			),
			'edit_field_class' => 'vc_col-sm-6',
		),
	),

		Healsoul_VC::get_vc_spacing_tab() ),
) );
