<?php

class WPBakeryShortCode_TM_CountDown extends WPBakeryShortCode {

	public function get_inline_css( $selector, $atts ) {
		global $healsoul_shortcode_lg_css;
		$skin = '';
		extract( $atts );

		if ( $skin === 'custom' ) {
			$number_tmp = Healsoul_Helper::get_shortcode_css_color_inherit( 'color', $atts['number_color'], $atts['custom_number_color'] );
			$text_tmp   = Healsoul_Helper::get_shortcode_css_color_inherit( 'color', $atts['text_color'], $atts['custom_text_color'] );

			if ( $number_tmp !== '' ) {
				$healsoul_shortcode_lg_css .= "$selector .number { $number_tmp }";
			}

			if ( $text_tmp !== '' ) {
				$healsoul_shortcode_lg_css .= "$selector .text { $text_tmp }";
			}
		}

		Healsoul_VC::get_vc_spacing_css( $selector, $atts );
	}
}

vc_map( array(
	'name'                      => esc_html__( 'Countdown', 'healsoul' ),
	'base'                      => 'tm_countdown',
	'category'                  => HEALSOUL_VC_SHORTCODE_CATEGORY,
	'icon'                      => 'insight-i insight-i-countdownclock',
	'allowed_container_element' => 'vc_row',
	'params'                    => array_merge( array(
		array(
			'heading'     => esc_html__( 'Style', 'healsoul' ),
			'type'        => 'dropdown',
			'param_name'  => 'style',
			'admin_label' => true,
			'value'       => array(
				esc_html__( '01', 'healsoul' ) => '1',
				esc_html__( '02', 'healsoul' ) => '2',
			),
			'std'         => '1',
		),
		array(
			'heading'     => esc_html__( 'Skin', 'healsoul' ),
			'type'        => 'dropdown',
			'param_name'  => 'skin',
			'admin_label' => true,
			'value'       => array(
				esc_html__( 'Custom', 'healsoul' ) => 'custom',
				esc_html__( 'Dark', 'healsoul' )   => 'dark',
				esc_html__( 'Light', 'healsoul' )  => 'light',
			),
			'std'         => 'dark',
		),
		array(
			'type'             => 'dropdown',
			'heading'          => esc_html__( 'Number Color', 'healsoul' ),
			'param_name'       => 'number_color',
			'value'            => array(
				esc_html__( 'Default Color', 'healsoul' )   => '',
				esc_html__( 'Primary Color', 'healsoul' )   => 'primary',
				esc_html__( 'Secondary Color', 'healsoul' ) => 'secondary',
				esc_html__( 'Third Color', 'healsoul' )     => 'third',
				esc_html__( 'Custom Color', 'healsoul' )    => 'custom',
			),
			'std'              => 'secondary',
			'edit_field_class' => 'vc_col-sm-6 col-break',
			'dependency'       => array(
				'element' => 'skin',
				'value'   => array( 'custom' ),
			),
		),
		array(
			'type'             => 'colorpicker',
			'heading'          => esc_html__( 'Custom Number Color', 'healsoul' ),
			'param_name'       => 'custom_number_color',
			'edit_field_class' => 'vc_col-sm-6',
			'dependency'       => array(
				'element' => 'number_color',
				'value'   => array( 'custom' ),
			),
		),
		array(
			'type'             => 'dropdown',
			'heading'          => esc_html__( 'Text Color', 'healsoul' ),
			'param_name'       => 'text_color',
			'value'            => array(
				esc_html__( 'Default Color', 'healsoul' )   => '',
				esc_html__( 'Primary Color', 'healsoul' )   => 'primary',
				esc_html__( 'Secondary Color', 'healsoul' ) => 'secondary',
				esc_html__( 'Third Color', 'healsoul' )     => 'third',
				esc_html__( 'Custom Color', 'healsoul' )    => 'custom',
			),
			'std'              => 'custom',
			'edit_field_class' => 'vc_col-sm-6 col-break',
			'dependency'       => array(
				'element' => 'skin',
				'value'   => array( 'custom' ),
			),
		),
		array(
			'type'             => 'colorpicker',
			'heading'          => esc_html__( 'Custom Text Color', 'healsoul' ),
			'param_name'       => 'custom_text_color',
			'edit_field_class' => 'vc_col-sm-6',
			'dependency'       => array(
				'element' => 'text_color',
				'value'   => array( 'custom' ),
			),
			'std'              => '#ababab',
		),
		array(
			'heading'     => esc_html__( 'Date Time', 'healsoul' ),
			'description' => esc_html__( 'Date and time format (yyyy/mm/dd hh:mm).', 'healsoul' ),
			'type'        => 'datetimepicker',
			'param_name'  => 'datetime',
			'value'       => '',
			'admin_label' => true,
			'settings'    => array(
				'minDate' => 0,
			),
		),
		array(
			'type'       => 'textfield',
			'heading'    => esc_html__( '"Days" text', 'healsoul' ),
			'param_name' => 'days',
			'value'      => esc_attr( 'Days', 'healsoul' ),
		),
		array(
			'type'       => 'textfield',
			'heading'    => esc_html__( '"Hours" text', 'healsoul' ),
			'param_name' => 'hours',
			'value'      => 'Hours',
		),
		array(
			'type'       => 'textfield',
			'heading'    => esc_html__( '"Minutes" text', 'healsoul' ),
			'param_name' => 'minutes',
			'value'      => esc_attr( 'Minutes', 'healsoul' ),
		),
		array(
			'type'       => 'textfield',
			'heading'    => esc_html__( '"Seconds" text', 'healsoul' ),
			'param_name' => 'seconds',
			'value'      => esc_attr( 'Seconds', 'healsoul' ),
		),
		Healsoul_VC::extra_class_field(),
	), Healsoul_VC::get_vc_spacing_tab() ),
) );

