<?php

add_filter( 'vc_autocomplete_tm_service_taxonomies_callback', array(
	'WPBakeryShortCode_TM_Service',
	'autocomplete_taxonomies_field_search',
), 10, 1 );

add_filter( 'vc_autocomplete_tm_service_taxonomies_render', array(
	Healsoul_VC::instance(),
	'autocomplete_taxonomies_field_render',
), 10, 1 );

add_filter( 'vc_autocomplete_tm_service_filter_by_callback', array(
	'WPBakeryShortCode_TM_Service',
	'autocomplete_taxonomies_field_search',
), 10, 1 );

add_filter( 'vc_autocomplete_tm_service_filter_by_render', array(
	Healsoul_VC::instance(),
	'autocomplete_taxonomies_field_render',
), 10, 1 );

class WPBakeryShortCode_TM_Service extends WPBakeryShortCode {

	/**
	 * @param $search_string
	 *
	 * @return array|bool
	 */
	public static function autocomplete_taxonomies_field_search( $search_string ) {
		$data = Healsoul_VC::instance()->autocomplete_get_data_from_post_type( $search_string, 'service' );

		return $data;
	}

	public function get_inline_css( $selector, $atts ) {
		Healsoul_VC::get_grid_css( $selector, $atts );

		Healsoul_VC::get_vc_spacing_css( $selector, $atts );
	}
}

$carousel_tab   = esc_html__( 'Carousel Settings', 'healsoul' );
$carousel_types = array(
	'carousel_01',
	'carousel_02',
	'carousel_03',
	'carousel_04',
	'carousel_05',
	'carousel_06',
	'carousel_07',
);
$grid_types     = array(
	'grid_classic_01',
	'grid_classic_02',
	'grid_classic_03',
	'grid_classic_04',
	'grid_classic_05',
	'grid_classic_06',
	'grid_classic_07',
);

vc_map( array(
	'name'     => esc_html__( 'Service', 'healsoul' ),
	'base'     => 'tm_service',
	'category' => HEALSOUL_VC_SHORTCODE_CATEGORY,
	'icon'     => 'insight-i insight-i-grid',
	'params'   => array_merge( array(
		array(
			'heading'     => esc_html__( 'Style', 'healsoul' ),
			'type'        => 'dropdown',
			'param_name'  => 'style',
			'admin_label' => true,
			'value'       => array(
				esc_html__( 'Grid 01', 'healsoul' )     => 'grid_classic_01',
				esc_html__( 'Grid 02', 'healsoul' )     => 'grid_classic_02',
				esc_html__( 'Grid 03', 'healsoul' )     => 'grid_classic_03',
				esc_html__( 'Grid 04', 'healsoul' )     => 'grid_classic_04',
				esc_html__( 'Grid 05', 'healsoul' )     => 'grid_classic_05',
				esc_html__( 'Grid 06', 'healsoul' )     => 'grid_classic_06',
				esc_html__( 'Grid 07', 'healsoul' )     => 'grid_classic_07',
				esc_html__( 'Carousel 01', 'healsoul' ) => 'carousel_01',
				esc_html__( 'Carousel 02', 'healsoul' ) => 'carousel_02',
				esc_html__( 'Carousel 03', 'healsoul' ) => 'carousel_03',
				esc_html__( 'Carousel 04', 'healsoul' ) => 'carousel_04',
				esc_html__( 'Carousel 05', 'healsoul' ) => 'carousel_05',
				esc_html__( 'Carousel 06', 'healsoul' ) => 'carousel_06',
				esc_html__( 'Carousel 07', 'healsoul' ) => 'carousel_07',
			),
			'std'         => 'grid_classic_01',
		),
		array(
			'heading'     => esc_html__( 'Icon effect', 'healsoul' ),
			'type'        => 'dropdown',
			'param_name'  => 'icon_effect',
			'admin_label' => true,
			'value'       => array(
				esc_html__( 'Dotted', 'healsoul' ) => 'dotted',
				esc_html__( 'Dashed', 'healsoul' ) => 'dashed',
			),
			'std'         => 'dotted',
			'dependency'  => array(
				'element' => 'style',
				'value'   => array(
					'grid_classic_06',
					'grid_classic_07',
					'carousel_06',
					'carousel_07',
				),
			),
		),
		array(
			'heading'     => esc_html__( 'Columns', 'healsoul' ),
			'type'        => 'number_responsive',
			'param_name'  => 'columns',
			'min'         => 1,
			'max'         => 6,
			'step'        => 1,
			'suffix'      => '',
			'media_query' => array(
				'lg' => '3',
				'md' => '',
				'sm' => '2',
				'xs' => '1',
			),
			'dependency'  => array(
				'element' => 'style',
				'value'   => $grid_types
			),
		),
		array(
			'heading'     => esc_html__( 'Columns Gutter', 'healsoul' ),
			'description' => esc_html__( 'Controls the gutter of grid columns.', 'healsoul' ),
			'type'        => 'number',
			'param_name'  => 'gutter',
			'std'         => 30,
			'min'         => 0,
			'max'         => 100,
			'step'        => 1,
			'suffix'      => 'px',
			'dependency'  => array(
				'element' => 'style',
				'value'   => $grid_types
			),
		),
		array(
			'heading'     => esc_html__( 'Rows Gutter', 'healsoul' ),
			'description' => esc_html__( 'Controls the gutter of grid rows.', 'healsoul' ),
			'type'        => 'number',
			'param_name'  => 'row_gutter',
			'std'         => 30,
			'min'         => 0,
			'max'         => 100,
			'step'        => 1,
			'suffix'      => 'px',
			'dependency'  => array(
				'element' => 'style',
				'value'   => $grid_types
			),
		),
		array(
			'heading'    => esc_html__( 'Image Size', 'healsoul' ),
			'type'       => 'dropdown',
			'param_name' => 'image_size',
			'value'      => array(
				esc_html__( '370x277', 'healsoul' ) => '370x277',
				esc_html__( '370x237', 'healsoul' ) => '370x237',
				esc_html__( '405x450', 'healsoul' ) => '405x450',
				esc_html__( '480x480', 'healsoul' ) => '480x480',
				esc_html__( '570x385', 'healsoul' ) => '570x385',
			),
			'std'        => '360x277',
		),
		Healsoul_VC::get_animation_field( array(
			'std' => 'move-up',
		) ),
		Healsoul_VC::extra_class_field(),
		array(
			'group'       => $carousel_tab,
			'heading'     => esc_html__( 'Auto Play', 'healsoul' ),
			'description' => esc_html__( 'Delay between transitions (in ms), e.g 3000. Leave blank to disabled.', 'healsoul' ),
			'type'        => 'number',
			'suffix'      => 'ms',
			'param_name'  => 'carousel_auto_play',
			'dependency'  => array(
				'element' => 'style',
				'value'   => $carousel_types,
			),
		),
		array(
			'group'      => $carousel_tab,
			'heading'    => esc_html__( 'Loop', 'healsoul' ),
			'type'       => 'checkbox',
			'param_name' => 'carousel_loop',
			'value'      => array( esc_html__( 'Yes', 'healsoul' ) => '1' ),
			'std'        => '1',
			'dependency' => array(
				'element' => 'style',
				'value'   => $carousel_types,
			),
		),
		array(
			'group'      => $carousel_tab,
			'heading'    => esc_html__( 'Navigation', 'healsoul' ),
			'type'       => 'dropdown',
			'param_name' => 'carousel_nav',
			'value'      => Healsoul_VC::get_slider_navs(),
			'std'        => '',
			'dependency' => array(
				'element' => 'style',
				'value'   => $carousel_types,
			),
		),
		Healsoul_VC::extra_id_field( array(
			'group'      => $carousel_tab,
			'heading'    => esc_html__( 'Slider Button ID', 'healsoul' ),
			'param_name' => 'slider_button_id',
			'dependency' => array(
				'element' => 'carousel_nav',
				'value'   => array(
					'custom',
				),
			),
		) ),
		array(
			'group'      => $carousel_tab,
			'heading'    => esc_html__( 'Pagination', 'healsoul' ),
			'type'       => 'dropdown',
			'param_name' => 'carousel_pagination',
			'value'      => Healsoul_VC::get_slider_dots(),
			'std'        => '',
			'dependency' => array(
				'element' => 'style',
				'value'   => $carousel_types,
			),
		),
		array(
			'group'       => $carousel_tab,
			'heading'     => esc_html__( 'Items Display', 'healsoul' ),
			'type'        => 'number_responsive',
			'param_name'  => 'carousel_items_display',
			'min'         => 1,
			'max'         => 10,
			'suffix'      => 'item (s)',
			'media_query' => array(
				'lg' => 3,
				'md' => 3,
				'sm' => 2,
				'xs' => 1,
			),
			'dependency'  => array(
				'element' => 'style',
				'value'   => $carousel_types,
			),
		),
		array(
			'group'      => $carousel_tab,
			'heading'    => esc_html__( 'Gutter', 'healsoul' ),
			'type'       => 'number',
			'param_name' => 'carousel_gutter',
			'std'        => 30,
			'min'        => 0,
			'max'        => 50,
			'step'       => 1,
			'suffix'     => 'px',
			'dependency' => array(
				'element' => 'style',
				'value'   => $carousel_types,
			),
		),
		array(
			'group'      => esc_html__( 'Data Settings', 'healsoul' ),
			'type'       => 'hidden',
			'param_name' => 'main_query',
			'std'        => '',
		),
		array(
			'group'       => esc_html__( 'Data Settings', 'healsoul' ),
			'heading'     => esc_html__( 'Items per page', 'healsoul' ),
			'description' => esc_html__( 'Number of items to show per page.', 'healsoul' ),
			'type'        => 'number',
			'param_name'  => 'number',
			'std'         => 9,
			'min'         => 1,
			'max'         => 100,
			'step'        => 1,
		),
		array(
			'group'              => esc_html__( 'Data Settings', 'healsoul' ),
			'heading'            => esc_html__( 'Narrow data source', 'healsoul' ),
			'description'        => esc_html__( 'Enter categories, tags or custom taxonomies.', 'healsoul' ),
			'type'               => 'autocomplete',
			'param_name'         => 'taxonomies',
			'settings'           => array(
				'multiple'       => true,
				'min_length'     => 1,
				'groups'         => true,
				// In UI show results grouped by groups, default false.
				'unique_values'  => true,
				// In UI show results except selected. NB! You should manually check values in backend, default false.
				'display_inline' => true,
				// In UI show results inline view, default false (each value in own line).
				'delay'          => 500,
				// delay for search. default 500.
				'auto_focus'     => true,
				// auto focus input, default true.
			),
			'param_holder_class' => 'vc_not-for-custom',
		),
		array(
			'group'       => esc_html__( 'Data Settings', 'healsoul' ),
			'heading'     => esc_html__( 'Order by', 'healsoul' ),
			'type'        => 'dropdown',
			'param_name'  => 'orderby',
			'value'       => array(
				esc_html__( 'Date', 'healsoul' )                  => 'date',
				esc_html__( 'Post ID', 'healsoul' )               => 'ID',
				esc_html__( 'Author', 'healsoul' )                => 'author',
				esc_html__( 'Title', 'healsoul' )                 => 'title',
				esc_html__( 'Last modified date', 'healsoul' )    => 'modified',
				esc_html__( 'Post/page parent ID', 'healsoul' )   => 'parent',
				esc_html__( 'Number of comments', 'healsoul' )    => 'comment_count',
				esc_html__( 'Menu order/Page Order', 'healsoul' ) => 'menu_order',
				esc_html__( 'Meta value', 'healsoul' )            => 'meta_value',
				esc_html__( 'Meta value number', 'healsoul' )     => 'meta_value_num',
				esc_html__( 'Random order', 'healsoul' )          => 'rand',
			),
			'description' => esc_html__( 'Select order type. If "Meta value" or "Meta value Number" is chosen then meta key is required.', 'healsoul' ),
			'std'         => 'date',
		),
		array(
			'group'       => esc_html__( 'Data Settings', 'healsoul' ),
			'heading'     => esc_html__( 'Sort order', 'healsoul' ),
			'type'        => 'dropdown',
			'param_name'  => 'order',
			'value'       => array(
				esc_html__( 'Descending', 'healsoul' ) => 'DESC',
				esc_html__( 'Ascending', 'healsoul' )  => 'ASC',
			),
			'description' => esc_html__( 'Select sorting order.', 'healsoul' ),
			'std'         => 'DESC',
		),
		array(
			'group'       => esc_html__( 'Data Settings', 'healsoul' ),
			'heading'     => esc_html__( 'Meta key', 'healsoul' ),
			'description' => esc_html__( 'Input meta key for grid ordering.', 'healsoul' ),
			'type'        => 'textfield',
			'param_name'  => 'meta_key',
			'dependency'  => array(
				'element' => 'orderby',
				'value'   => array(
					'meta_value',
					'meta_value_num',
				),
			),
		),
	), Healsoul_VC::get_grid_filter_fields(), Healsoul_VC::get_grid_pagination_fields(), Healsoul_VC::get_vc_spacing_tab(), Healsoul_VC::get_custom_style_tab() ),
) );

