<?php

class WPBakeryShortCode_TM_Team_Member extends WPBakeryShortCode {

	public function get_inline_css( $selector, $atts ) {
		Healsoul_VC::get_vc_spacing_css( $selector, $atts );
	}
}

vc_map( array(
	'name'                      => esc_html__( 'Team Member', 'healsoul' ),
	'base'                      => 'tm_team_member',
	'category'                  => HEALSOUL_VC_SHORTCODE_CATEGORY,
	'allowed_container_element' => 'vc_row',
	'icon'                      => 'insight-i insight-i-member',
	'params'                    => array_merge( array(
		array(
			'type'        => 'dropdown',
			'heading'     => esc_html__( 'Style', 'healsoul' ),
			'param_name'  => 'style',
			'admin_label' => true,
			'value'       => array(
				esc_html__( '1', 'healsoul' ) => '1',
				esc_html__( '2', 'healsoul' ) => '2',
				esc_html__( '3', 'healsoul' ) => '3',
			),
			'std'         => '1',
		),
		array(
			'type'        => 'attach_image',
			'heading'     => esc_html__( 'Photo of member', 'healsoul' ),
			'param_name'  => 'photo',
			'admin_label' => true,
		),
		array(
			'type'       => 'dropdown',
			'heading'    => esc_html__( 'Photo Effect', 'healsoul' ),
			'param_name' => 'photo_effect',
			'value'      => array(
				esc_html__( 'None', 'healsoul' )      => '',
				esc_html__( 'Grayscale', 'healsoul' ) => 'grayscale',
			),
			'std'        => '',
		),
		array(
			'type'        => 'textfield',
			'heading'     => esc_html__( 'Name', 'healsoul' ),
			'admin_label' => true,
			'param_name'  => 'name',
		),
		array(
			'type'        => 'textfield',
			'heading'     => esc_html__( 'Position', 'healsoul' ),
			'param_name'  => 'position',
			'description' => esc_html__( 'Example: CEO/Founder', 'healsoul' ),
		),
		array(
			'type'       => 'textarea',
			'heading'    => esc_html__( 'Description', 'healsoul' ),
			'param_name' => 'desc',
		),
		array(
			'type'       => 'textfield',
			'heading'    => esc_html__( 'Profile url', 'healsoul' ),
			'param_name' => 'profile',
		),
		array(
			'heading'    => esc_html__( 'Button', 'healsoul' ),
			'type'       => 'vc_link',
			'param_name' => 'button',
			'dependency' => array(
				'element' => 'style',
				'value'   => '3',
			),
		),
		Healsoul_VC::get_animation_field(),
		Healsoul_VC::extra_class_field(),
		array(
			'group'      => esc_html__( 'Social Networks', 'healsoul' ),
			'type'       => 'param_group',
			'heading'    => esc_html__( 'Social Networks', 'healsoul' ),
			'param_name' => 'social_networks',
			'params'     => array_merge( Healsoul_VC::icon_libraries( array( 'allow_none' => true ) ), array(
				array(
					'type'        => 'textfield',
					'heading'     => esc_html__( 'Link', 'healsoul' ),
					'param_name'  => 'link',
					'admin_label' => true,
				),
			) ),
			'value'      => rawurlencode( wp_json_encode( array(
				array(
					'link'      => '#',
					'icon_type' => 'ion',
					'icon_ion'  => 'fab fa-twitter',
				),
				array(
					'link'      => '#',
					'icon_type' => 'ion',
					'icon_ion'  => 'fab fa-facebook-f',
				),
				array(
					'link'      => '#',
					'icon_type' => 'ion',
					'icon_ion'  => 'fab fa-google-plus-g',
				),
				array(
					'link'      => '#',
					'icon_type' => 'ion',
					'icon_ion'  => 'fab fa-linkedin-in',
				),
			) ) ),
		),
	), Healsoul_VC::get_vc_spacing_tab() ),
) );
