<?php
$styling_tab = esc_html__( 'Styling', 'healsoul' );

vc_remove_param( 'vc_section', 'css' );

vc_add_params( 'vc_section', array_merge( Healsoul_VC::get_vc_spacing_tab(), array(
	array(
		'group'       => $styling_tab,
		'heading'     => esc_html__( 'Border Radius', 'healsoul' ),
		'description' => esc_html__( 'E.g 5px or 50%', 'healsoul' ),
		'type'        => 'textfield',
		'param_name'  => 'border_radius',
	),
	array(
		'group'       => $styling_tab,
		'heading'     => esc_html__( 'Box Shadow', 'healsoul' ),
		'description' => esc_html__( 'E.g 0 20px 30px #ccc', 'healsoul' ),
		'type'        => 'textfield',
		'param_name'  => 'box_shadow',
	),
	array(
		'group'      => $styling_tab,
		'heading'    => esc_html__( 'Background Color', 'healsoul' ),
		'type'       => 'dropdown',
		'param_name' => 'background_color',
		'value'      => array(
			esc_html__( 'None', 'healsoul' )            => '',
			esc_html__( 'Primary Color', 'healsoul' )   => 'primary',
			esc_html__( 'Secondary Color', 'healsoul' ) => 'secondary',
			esc_html__( 'Third Color', 'healsoul' )     => 'third',
			esc_html__( 'Custom Color', 'healsoul' )    => 'custom',
		),
		'std'        => '',
	),
	array(
		'group'      => $styling_tab,
		'heading'    => esc_html__( 'Custom Background Color', 'healsoul' ),
		'type'       => 'colorpicker',
		'param_name' => 'custom_background_color',
		'dependency' => array(
			'element' => 'background_color',
			'value'   => array( 'custom' ),
		),
	),
	array(
		'group'      => $styling_tab,
		'heading'    => esc_html__( 'Background Image', 'healsoul' ),
		'type'       => 'attach_image',
		'param_name' => 'background_image',
	),
	array(
		'group'      => $styling_tab,
		'heading'    => esc_html__( 'Hide Background Image', 'healsoul' ),
		'type'       => 'dropdown',
		'param_name' => 'hide_background_image',
		'value'      => array(
			esc_html__( 'Always show', 'healsoul' )             => '',
			esc_html__( 'Medium Device Down', 'healsoul' )      => 'md',
			esc_html__( 'Small Device Down', 'healsoul' )       => 'sm',
			esc_html__( 'Extra Small Device Down', 'healsoul' ) => 'xs',
		),
		'std'        => '',
		'dependency' => array(
			'element'   => 'background_image',
			'not_empty' => true,
		),
	),
	array(
		'group'      => $styling_tab,
		'heading'    => esc_html__( 'Background Repeat', 'healsoul' ),
		'type'       => 'dropdown',
		'param_name' => 'background_repeat',
		'value'      => array(
			esc_html__( 'No repeat', 'healsoul' )         => 'no-repeat',
			esc_html__( 'Tile', 'healsoul' )              => 'repeat',
			esc_html__( 'Tile Horizontally', 'healsoul' ) => 'repeat-x',
			esc_html__( 'Tile Vertically', 'healsoul' )   => 'repeat-y',
		),
		'std'        => 'no-repeat',
		'dependency' => array(
			'element'   => 'background_image',
			'not_empty' => true,
		),
	),
	array(
		'group'      => $styling_tab,
		'heading'    => esc_html__( 'Background Size', 'healsoul' ),
		'type'       => 'dropdown',
		'param_name' => 'background_size',
		'value'      => array(
			esc_html__( 'Auto', 'healsoul' )    => 'auto',
			esc_html__( 'Cover', 'healsoul' )   => 'cover',
			esc_html__( 'Contain', 'healsoul' ) => 'contain',
			esc_html__( 'Manual', 'healsoul' )  => 'manual',
		),
		'std'        => 'cover',
		'dependency' => array(
			'element'   => 'background_image',
			'not_empty' => true,
		),
	),
	array(
		'group'       => $styling_tab,
		'heading'     => esc_html__( 'Background Size (Manual Setting)', 'healsoul' ),
		'description' => esc_html__( 'E.g 50% 100%', 'healsoul' ),
		'type'        => 'textfield',
		'param_name'  => 'background_size_manual',
		'dependency'  => array(
			'element' => 'background_size',
			'value'   => 'manual',
		),
	),
	array(
		'group'       => $styling_tab,
		'heading'     => esc_html__( 'Background Position', 'healsoul' ),
		'description' => esc_html__( 'E.g left center', 'healsoul' ),
		'type'        => 'textfield',
		'param_name'  => 'background_position',
		'dependency'  => array(
			'element'   => 'background_image',
			'not_empty' => true,
		),
	),
	array(
		'group'      => $styling_tab,
		'heading'    => esc_html__( 'Scroll Effect', 'healsoul' ),
		'type'       => 'dropdown',
		'param_name' => 'background_attachment',
		'value'      => array(
			esc_html__( 'Move with the content', 'healsoul' ) => 'scroll',
			esc_html__( 'Fixed at its position', 'healsoul' ) => 'fixed',
			esc_html__( 'Marque', 'healsoul' )                => 'marque',
		),
		'std'        => 'scroll',
		'dependency' => array(
			'element'   => 'background_image',
			'not_empty' => true,
		),
	),
	array(
		'group'      => $styling_tab,
		'heading'    => esc_html__( 'Marque Direction', 'healsoul' ),
		'type'       => 'dropdown',
		'param_name' => 'marque_direction',
		'value'      => array(
			esc_html__( 'To Left', 'healsoul' )  => 'to-left',
			esc_html__( 'To Right', 'healsoul' ) => 'to-right',
		),
		'std'        => 'to-right',
		'dependency' => array(
			'element' => 'background_attachment',
			'value'   => 'marque',
		),
	),
	array(
		'group'      => $styling_tab,
		'heading'    => esc_html__( 'Marque Pause On Hover.', 'healsoul' ),
		'type'       => 'checkbox',
		'param_name' => 'marque_pause_on_hover',
		'value'      => array(
			esc_html__( 'Yes', 'healsoul' ) => '1',
		),
		'dependency' => array(
			'element' => 'background_attachment',
			'value'   => 'marque',
		),
	),
	array(
		'group'       => $styling_tab,
		'heading'     => esc_html__( 'Background Overlay', 'healsoul' ),
		'description' => esc_html__( 'Choose an overlay background color.', 'healsoul' ),
		'type'        => 'dropdown',
		'param_name'  => 'overlay_background',
		'value'       => array(
			esc_html__( 'None', 'healsoul' )            => '',
			esc_html__( 'Primary Color', 'healsoul' )   => 'primary',
			esc_html__( 'Secondary Color', 'healsoul' ) => 'secondary',
			esc_html__( 'Third Color', 'healsoul' )     => 'third',
			esc_html__( 'Custom Color', 'healsoul' )    => 'custom',
		),
	),
	array(
		'group'       => $styling_tab,
		'heading'     => esc_html__( 'Custom Background Overlay', 'healsoul' ),
		'description' => esc_html__( 'Choose an custom background color overlay.', 'healsoul' ),
		'type'        => 'colorpicker',
		'param_name'  => 'overlay_custom_background',
		'std'         => '#000000',
		'dependency'  => array(
			'element' => 'overlay_background',
			'value'   => array( 'custom' ),
		),
	),
	array(
		'group'      => $styling_tab,
		'heading'    => esc_html__( 'Opacity', 'healsoul' ),
		'type'       => 'number',
		'param_name' => 'overlay_opacity',
		'value'      => 100,
		'min'        => 0,
		'max'        => 100,
		'step'       => 1,
		'suffix'     => '%',
		'std'        => 80,
		'dependency' => array(
			'element'   => 'overlay_background',
			'not_empty' => true,
		),
	),
) ) );
