<?php
if ( ! defined( 'ABSPATH' ) ) {
	die( '-1' );
}
$el_class = $style = $heading = $button_text = $location_label = $service_label = '';

$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
extract( $atts );

$el_class       = $this->getExtraClass( $el_class );
$css_class      = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, 'tm-caregiver-search-form ' . $el_class, $this->settings['base'], $atts );
$css_class      .= " style-$style";
$button_text    = Healsoul::setting( "archive_caregiver_button_text" );
$location_label = Healsoul::setting( "archive_caregiver_location_label" );
$service_label  = Healsoul::setting( "archive_caregiver_service_label" );
?>
<div class="<?php echo esc_attr( trim( $css_class ) ); ?>">
	<?php if ( $style === '01' ) : ?>
		<?php if ( $heading ) : ?>
			<h4 class="heading">
				<?php echo esc_html( $heading ); ?>
			</h4>
		<?php endif; ?>
	<?php endif; ?>

	<div class="search-form">
		<?php if ( $style === '02' ) : ?>
			<?php if ( $heading ) : ?>
				<h4 class="heading">
					<?php echo esc_html( $heading ); ?>
				</h4>
			<?php endif; ?>
		<?php endif; ?>
		<form action="<?php echo get_post_type_archive_link( 'ic_caregiver' ); ?>" method="GET">
			<div class="field">
				<div class="inner">
					<div class="label">
						<?php
						if ( $location_label !== '' ) {
							$location_label_text = $location_label;
						} else {
							$location_label_text = 'Select your location';
						}
						?>
						<?php echo esc_html( $location_label_text ); ?>
					</div>
					<?php
					wp_dropdown_categories(
						array(
							'show_option_none' => esc_html__( 'Choose a location', 'healsoul' ),
							'taxonomy'         => 'ic_caregiver_location',
							'name'             => 'lc',
							'selected'         => ( isset( $_GET['lc'] ) ? $_GET['lc'] : 0 ),
						)
					);
					?>
				</div>
			</div>

			<div class="field">
				<div class="inner">
					<div class="label">
						<?php
						if ( $service_label !== '' ) {
							$service_label_text = $service_label;
						} else {
							$service_label_text = 'Select your service';
						}
						?>
						<?php echo esc_html( $service_label_text ); ?>
					</div>
					<?php
					wp_dropdown_categories(
						array(
							'show_option_none' => esc_html__( 'Choose a service', 'healsoul' ),
							'taxonomy'         => 'ic_caregiver_service',
							'name'             => 'sv',
							'selected'         => ( isset( $_GET['sv'] ) ? $_GET['sv'] : 0 ),
						)
					);
					?>
				</div>
			</div>

			<?php
			if ( $button_text !== '' ) {
				$text = $button_text;
			} else {
				$text = 'Get care now';
			}
			?>
			<button type="submit"><?php echo esc_html( $text ); ?></button>
		</form>
	</div>
</div>
